using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace TestCSharp
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void newtCtrlNToolStripMenuItem_Click(object sender, EventArgs e)
        {
   //         m_Draw.OnNewFile();
        }

        private void mnuExit_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void mnuPrint_Click(object sender, EventArgs e)
        {
            m_Draw.PrintDraw();
        }

        private void mnuPageSetup_Click(object sender, EventArgs e)
        {
            m_Draw.DoPageSetup();
        }

        private void mnuHeaderAndFooter_Click(object sender, EventArgs e)
        {
            m_Draw.DoShowHeaderAndFooterDlg();
        }

        private void mnuExport_Click(object sender, EventArgs e)
        {
            m_Draw.Export();
        }

        private void mnuUndo_Click(object sender, EventArgs e)
        {
            m_Draw.Undo();
        }

        private void mnuRedo_Click(object sender, EventArgs e)
        {
            m_Draw.Redo();
        }

        private void mnuCut_Click(object sender, EventArgs e)
        {
            m_Draw.Cut();
        }

        private void mnuCopy_Click(object sender, EventArgs e)
        {
            m_Draw.Copy();
        }

        private void mnuPaste_Click(object sender, EventArgs e)
        {
            m_Draw.Paste();
        }

        private void mnuDelete_Click(object sender, EventArgs e)
        {
            m_Draw.Clear();
        }

        private void mnuSelectAll_Click(object sender, EventArgs e)
        {
            m_Draw.SelectAll();
        }

        private void mnuClearAll_Click(object sender, EventArgs e)
        {
            m_Draw.ClearAll();
        }

        private void mnuPageproperties_Click(object sender, EventArgs e)
        {
            m_Draw.DoShowPagePropDlg();
        }

        private void mnuPanWindow_Click(object sender, EventArgs e)
        {
//            m_Draw.ShowPanWindow(false);
        }

        private void mnuDesignMode_Click(object sender, EventArgs e)
        {
            bool bdesign = m_Draw.GetDesignMode();
            m_Draw.SetDesignMode(!bdesign);
        }

        private void mnuZoom50_Click(object sender, EventArgs e)
        {
            m_Draw.SetZoomPercent(50);
        }

        private void mnuZoom75_Click(object sender, EventArgs e)
        {
            m_Draw.SetZoomPercent(75);
        }

        private void mnuZoom100_Click(object sender, EventArgs e)
        {
            m_Draw.SetZoomPercent(100);
        }

        private void mnuZoom150_Click(object sender, EventArgs e)
        {
            m_Draw.SetZoomPercent(150);
        }

        private void mnuZoom200_Click(object sender, EventArgs e)
        {
            m_Draw.SetZoomPercent(200);
        }

        private void mnuZoomOut_Click(object sender, EventArgs e)
        {
            m_Draw.ZoomOut();
        }

        private void mnuZoomIn_Click(object sender, EventArgs e)
        {
            m_Draw.ZoomIn();
        }

        private void mnuFitToPage_Click(object sender, EventArgs e)
        {
            m_Draw.ZoomToFitPage();
        }

        private void mnuFitToPageWidth_Click(object sender, EventArgs e)
        {
            m_Draw.ZoomToFitPageWidth();
        }

        private void mnuFitToPageHeight_Click(object sender, EventArgs e)
        {
            m_Draw.ZoomToFitPageHeight();
        }

        private void mnuZoomToSelection_Click(object sender, EventArgs e)
        {
            m_Draw.ZoomToFitSelect();
        }

        private void mnuZoomToRectangle_Click(object sender, EventArgs e)
        {
            m_Draw.DoZoomWithinRect();
        }

        private void gridToolStripMenuItem_Click(object sender, EventArgs e)
        {
            bool bgrid = m_Draw.GetShowGrid();
            m_Draw.SetShowGrid(!bgrid);
        }

        private void gridSetupToolStripMenuItem_Click(object sender, EventArgs e)
        {
            m_Draw.OnGridProp();
        }

        private void shapeListToolStripMenuItem_Click(object sender, EventArgs e)
        {
            m_Draw.DoShowCompsSelectDlg();
        }

        private void mnuEditSport_Click(object sender, EventArgs e)
        {
            m_Draw.DoEditSpot();
        }

        private void mnuGroup_Click(object sender, EventArgs e)
        {
            m_Draw.Group();
        }

        private void mnuUngroup_Click(object sender, EventArgs e)
        {
            m_Draw.UnGroup();
        }

        private void mnuRotateOrFlip_Click(object sender, EventArgs e)
        {

        }

        private void mnuFreeRotate_Click(object sender, EventArgs e)
        {
            m_Draw.DoRotate();
        }

        private void mnuRotateLeft_Click(object sender, EventArgs e)
        {
            m_Draw.DoRotateLeft();
        }

        private void mnuRotate_Click(object sender, EventArgs e)
        {
            m_Draw.DoRotateRight();
        }

        private void mnuFlipHorizontal_Click(object sender, EventArgs e)
        {
            m_Draw.DoFlipHorz();
        }

        private void mnuFilpVertical_Click(object sender, EventArgs e)
        {
            m_Draw.DoFlipVert();
        }

        private void mnuBringToFront_Click(object sender, EventArgs e)
        {
            m_Draw.DoMoveFront();
        }

        private void mnuSendToBackground_Click(object sender, EventArgs e)
        {
            m_Draw.DoMoveBack();
        }

        private void mnuBringForward_Click(object sender, EventArgs e)
        {
            m_Draw.DoMoveForward();
        }

        private void mnuSendBackward_Click(object sender, EventArgs e)
        {
            m_Draw.DoMoveBackward();
        }

        private void mnuAlignLeft_Click(object sender, EventArgs e)
        {
            m_Draw.DoAlignLeft();
        }

        private void mnuAlignCenter_Click(object sender, EventArgs e)
        {
            m_Draw.DoAlignCenter();
        }

        private void mnuAlignRight_Click(object sender, EventArgs e)
        {
            m_Draw.DoAlignRight();
        }

        private void mnuAlignTop_Click(object sender, EventArgs e)
        {
            m_Draw.DoAlignTop();
        }

        private void mnuAlignMiddle_Click(object sender, EventArgs e)
        {
            m_Draw.DoAlignVcenter();
        }

        private void mnuAlignBottom_Click(object sender, EventArgs e)
        {
            m_Draw.DoAlignBottom();
        }

        private void widthToolStripMenuItem_Click(object sender, EventArgs e)
        {
            m_Draw.DoSizeWidth();
        }

        private void mnuHeight_Click(object sender, EventArgs e)
        {
            m_Draw.DoSizeHeight();
        }

        private void mnuBoth_Click(object sender, EventArgs e)
        {
            m_Draw.DoSizeAll();
        }

        private void mnuSpaceAcross_Click(object sender, EventArgs e)
        {
            m_Draw.DoSpaceAcross();
        }

        private void mnuSpaceDown_Click(object sender, EventArgs e)
        {
            m_Draw.DoSpaceDown();
        }

        private void mnuNudge_Click(object sender, EventArgs e)
        {

        }

        private void mnuNudgeLeft_Click(object sender, EventArgs e)
        {
            m_Draw.DoCmdNudgeleft();
        }

        private void mnuNudgeRight_Click(object sender, EventArgs e)
        {
            m_Draw.DoCmdNudgeright();
        }

        private void mnuNudgeTop_Click(object sender, EventArgs e)
        {
            m_Draw.DoCmdNudgetop();
        }

        private void mnuNudgeBottom_Click(object sender, EventArgs e)
        {
            m_Draw.DoCmdNudgebottom();
        }

        private void mnuTabOrder_Click(object sender, EventArgs e)
        {
            m_Draw.DoTabOrder();
        }

        private void mnuTextTool_Click(object sender, EventArgs e)
        {
            m_Draw.DoShowTextDlg();
        }

        private void mnuLineTool_Click(object sender, EventArgs e)
        {
            m_Draw.DoShowLineDlg();
        }

        private void mnuBulletsTool_Click(object sender, EventArgs e)
        {
            m_Draw.DoShowBulletsDlg();
        }

        private void mnuFillTool_Click(object sender, EventArgs e)
        {
            m_Draw.DoShowFillDlg();
        }

        private void mnuShadowTool_Click(object sender, EventArgs e)
        {
            m_Draw.DoShowShadowDlg();
        }

        private void mnuEventTool_Click(object sender, EventArgs e)
        {
            m_Draw.DoShowEventDlg();
        }

        private void mnuKeysTool_Click(object sender, EventArgs e)
        {
        //    m_Draw.DoShowKeyDlg();
        }

        private void mnuSizeAndPosition_Click(object sender, EventArgs e)
        {
            m_Draw.DoShowPosAndSizeDlg();
        }

        private void mnuCustomTool_Click(object sender, EventArgs e)
        {
            m_Draw.DoShowCustomDlg();
        }

        private void mnuProtect_Click(object sender, EventArgs e)
        {
            m_Draw.DoShowProtDlg();
        }

        private void mnuAboutUCCDrawControl_Click(object sender, EventArgs e)
        {
            m_Draw.AboutBox();
        }

        private void openFromTemplateToolStripMenuItem_Click(object sender, EventArgs e)
        {
//            m_Draw.ShowTemplateOpenDialog();
        }

        private void mnuSavetoTemplate_Click(object sender, EventArgs e)
        {
//            m_Draw.ShowSaveTemplateDialog();
        }

        private void mnuOpen_Click(object sender, EventArgs e)
        {
  //          m_Draw.ShowOpenFileDialog();
        }

        private void mnuSave_Click(object sender, EventArgs e)
        {
    //        m_Draw.ShowSaveFileDialog();
        }

        private void mnuColorTheme_Click(object sender, EventArgs e)
        {
            m_Draw.ShowColorThemeDlg();
        }

        private void mnuPrintPreview_Click(object sender, EventArgs e)
        {
            m_Draw.DoVCPrintPreview();
        }

        private void mnuMakeSubgraph_Click(object sender, EventArgs e)
        {
            m_Draw.DoMakeSubgraph();
        }

        private void mnuUnMakeSubgraph_Click(object sender, EventArgs e)
        {
            m_Draw.UnGroupSubgraph();
        }

        private void toolboxWindowToolStripMenuItem_Click(object sender, EventArgs e)
        {
            bool bVisible = m_Draw.IsToolBoxVisible();
            m_Draw.ShowToolBoxWindow(!bVisible);
        }

        private void mnuCenterInFormHorizontal_Click(object sender, EventArgs e)
        {
            m_Draw.DoAlignInviewHor();
        }

        private void mnuCenterInFormVertical_Click(object sender, EventArgs e)
        {
            m_Draw.DoAlignInviewVer();
        }
    }
}
