// UCCSampleView.cpp : implementation of the CUCCSampleView class
//

#include "stdafx.h"
#include "UCCSample.h"
#include "afxctl.h"
#include "UCCSampleDoc.h"
#include "UCCSampleView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CUCCSampleView

IMPLEMENT_DYNCREATE(CUCCSampleView, CFormView)

BEGIN_MESSAGE_MAP(CUCCSampleView, CFormView)
	//{{AFX_MSG_MAP(CUCCSampleView)
	ON_WM_SIZE()
	ON_COMMAND(ID_FO_DESIGN, OnFoDesign)
	ON_UPDATE_COMMAND_UI(ID_FO_DESIGN, OnUpdateFoDesign)
	ON_COMMAND(ID_FO_DRAW_ARROWBEZIERLINE, OnFoDrawArrowbezierline)
	ON_UPDATE_COMMAND_UI(ID_FO_DRAW_ARROWBEZIERLINE, OnUpdateFoDrawArrowbezierline)
	ON_COMMAND(ID_FO_DRAW_ARROWLINE, OnFoDrawArrowline)
	ON_UPDATE_COMMAND_UI(ID_FO_DRAW_ARROWLINE, OnUpdateFoDrawArrowline)
	ON_COMMAND(ID_FO_DRAW_BUTTON, OnFoDrawButton)
	ON_UPDATE_COMMAND_UI(ID_FO_DRAW_BUTTON, OnUpdateFoDrawButton)
	ON_COMMAND(ID_FO_DRAW_CLOSEBEZIER, OnFoDrawClosebezier)
	ON_UPDATE_COMMAND_UI(ID_FO_DRAW_CLOSEBEZIER, OnUpdateFoDrawClosebezier)
	ON_COMMAND(ID_FO_DRAW_CROSSLINE, OnFoDrawCrossline)
	ON_UPDATE_COMMAND_UI(ID_FO_DRAW_CROSSLINE, OnUpdateFoDrawCrossline)
	ON_COMMAND(ID_FO_DRAW_DIMLINE, OnFoDrawDimline)
	ON_UPDATE_COMMAND_UI(ID_FO_DRAW_DIMLINE, OnUpdateFoDrawDimline)
	ON_COMMAND(ID_FO_DRAW_ELLIPSE, OnFoDrawEllipse)
	ON_UPDATE_COMMAND_UI(ID_FO_DRAW_ELLIPSE, OnUpdateFoDrawEllipse)
	ON_COMMAND(ID_FO_DRAW_FREECLOSELINE, OnFoDrawFreecloseline)
	ON_UPDATE_COMMAND_UI(ID_FO_DRAW_FREECLOSELINE, OnUpdateFoDrawFreecloseline)
	ON_COMMAND(ID_FO_DRAW_FREELINE, OnFoDrawFreeline)
	ON_UPDATE_COMMAND_UI(ID_FO_DRAW_FREELINE, OnUpdateFoDrawFreeline)
	ON_COMMAND(ID_FO_DRAW_IMAGE, OnFoDrawImage)
	ON_UPDATE_COMMAND_UI(ID_FO_DRAW_IMAGE, OnUpdateFoDrawImage)
	ON_COMMAND(ID_FO_DRAW_LINE, OnFoDrawLine)
	ON_UPDATE_COMMAND_UI(ID_FO_DRAW_LINE, OnUpdateFoDrawLine)
	ON_COMMAND(ID_FO_DRAW_POLYGON, OnFoDrawPolygon)
	ON_UPDATE_COMMAND_UI(ID_FO_DRAW_POLYGON, OnUpdateFoDrawPolygon)
	ON_COMMAND(ID_FO_DRAW_POLYLINE, OnFoDrawPolyline)
	ON_UPDATE_COMMAND_UI(ID_FO_DRAW_POLYLINE, OnUpdateFoDrawPolyline)
	ON_COMMAND(ID_FO_DRAW_PORT, OnFoDrawPort)
	ON_UPDATE_COMMAND_UI(ID_FO_DRAW_PORT, OnUpdateFoDrawPort)
	ON_COMMAND(ID_FO_DRAW_RECTANGLE, OnFoDrawRectangle)
	ON_UPDATE_COMMAND_UI(ID_FO_DRAW_RECTANGLE, OnUpdateFoDrawRectangle)
	ON_COMMAND(ID_FO_DRAW_ROUND, OnFoDrawRound)
	ON_UPDATE_COMMAND_UI(ID_FO_DRAW_ROUND, OnUpdateFoDrawRound)
	ON_COMMAND(ID_FO_DRAW_SELECT, OnFoDrawSelect)
	ON_UPDATE_COMMAND_UI(ID_FO_DRAW_SELECT, OnUpdateFoDrawSelect)
	ON_COMMAND(ID_FO_DRAW_STATIC, OnFoDrawStatic)
	ON_UPDATE_COMMAND_UI(ID_FO_DRAW_STATIC, OnUpdateFoDrawStatic)
	ON_COMMAND(ID_FO_EDIT_SPOTS, OnFoEditSpots)
	ON_UPDATE_COMMAND_UI(ID_FO_EDIT_SPOTS, OnUpdateFoEditSpots)
	ON_COMMAND(ID_FO_GRID, OnFoGrid)
	ON_UPDATE_COMMAND_UI(ID_FO_GRID, OnUpdateFoGrid)
	ON_COMMAND(ID_EDIT_UNDO, OnEditUndo)
	ON_COMMAND(ID_EDIT_REDO, OnEditRedo)
	ON_COMMAND(ID_FO_PAGEPROP, OnFoPageprop)
	ON_COMMAND(ID_EDIT_COPY, OnEditCopy)
	ON_UPDATE_COMMAND_UI(ID_EDIT_COPY, OnUpdateEditCopy)
	ON_COMMAND(ID_EDIT_CUT, OnEditCut)
	ON_UPDATE_COMMAND_UI(ID_EDIT_CUT, OnUpdateEditCut)
	ON_COMMAND(ID_EDIT_PASTE, OnEditPaste)
	ON_UPDATE_COMMAND_UI(ID_EDIT_PASTE, OnUpdateEditPaste)
	ON_COMMAND(ID_FO_SHOW_GRID, OnFoShowGrid)
	ON_UPDATE_COMMAND_UI(ID_FO_SHOW_GRID, OnUpdateFoShowGrid)
	ON_COMMAND(ID_FO_FILE_EXPORT, OnFoFileExport)
	ON_UPDATE_COMMAND_UI(ID_FO_FILE_EXPORT, OnUpdateFoFileExport)
	ON_COMMAND(ID_FO_PRINT_HEADER_FOOTER, OnFoPrintHeaderFooter)
	ON_COMMAND(ID_FILE_PAGE_SETUP, OnFilePageSetup)
	ON_COMMAND(ID_FILE_PRINT, OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, OnFilePrintPreview)
	ON_COMMAND(ID_EDIT_CLEAR, OnEditClear)
	ON_UPDATE_COMMAND_UI(ID_EDIT_CLEAR, OnUpdateEditClear)
	ON_UPDATE_COMMAND_UI(ID_EDIT_UNDO, OnUpdateEditUndo)
	ON_UPDATE_COMMAND_UI(ID_EDIT_REDO, OnUpdateEditRedo)
	ON_COMMAND(ID_EDIT_SELECT_ALL, OnEditSelectAll)
	ON_UPDATE_COMMAND_UI(ID_EDIT_SELECT_ALL, OnUpdateEditSelectAll)
	ON_COMMAND(ID_EDIT_CLEAR_ALL, OnEditClearAll)
	ON_UPDATE_COMMAND_UI(ID_EDIT_CLEAR_ALL, OnUpdateEditClearAll)
	ON_COMMAND(ID_FO_VIEW_ZOOM50, OnFoViewZoom50)
	ON_COMMAND(ID_FO_VIEW_ZOOM75, OnFoViewZoom75)
	ON_COMMAND(ID_FO_VIEW_ZOOM100, OnFoViewZoom100)
	ON_COMMAND(ID_FO_VIEW_ZOOM150, OnFoViewZoom150)
	ON_COMMAND(ID_FO_VIEW_ZOOM200, OnFoViewZoom200)
	ON_COMMAND(ID_FO_VIEW_SCALESUB25, OnFoViewScalesub25)
	ON_COMMAND(ID_FO_VIEW_SCALEADD25, OnFoViewScaleadd25)
	ON_COMMAND(ID_FO_ZOOMFITPAGE, OnFoZoomfitpage)
	ON_COMMAND(ID_FO_ZOOMFITWIDTH, OnFoZoomfitwidth)
	ON_COMMAND(ID_FO_ZOOMFITHEIGHT, OnFoZoomfitheight)
	ON_COMMAND(ID_FO_ZOOM_FITSELECT, OnFoZoomFitselect)
	ON_COMMAND(ID_FO_ZOOMWITHINRECT, OnFoZoomwithinrect)
	ON_COMMAND(ID_FO_GRID_PROP, OnFoGridProp)
	ON_COMMAND(ID_FO_COMPS_SELECT, OnFoCompsSelect)
	ON_COMMAND(ID_FO_GROUP, OnFoGroup)
	ON_UPDATE_COMMAND_UI(ID_FO_GROUP, OnUpdateFoGroup)
	ON_COMMAND(ID_FO_UNGROUP, OnFoUngroup)
	ON_UPDATE_COMMAND_UI(ID_FO_UNGROUP, OnUpdateFoUngroup)
	ON_COMMAND(ID_FO_ROTATE, OnFoRotate)
	ON_UPDATE_COMMAND_UI(ID_FO_ROTATE, OnUpdateFoRotate)
	ON_COMMAND(ID_FO_ROTATE_LEFT, OnFoRotateLeft)
	ON_COMMAND(ID_FO_ROTATE_RIGHT, OnFoRotateRight)
	ON_UPDATE_COMMAND_UI(ID_FO_ROTATE_LEFT, OnUpdateFoRotateLeft)
	ON_UPDATE_COMMAND_UI(ID_FO_ROTATE_RIGHT, OnUpdateFoRotateRight)
	ON_COMMAND(ID_FO_FLIP_HORZ, OnFoFlipHorz)
	ON_UPDATE_COMMAND_UI(ID_FO_FLIP_HORZ, OnUpdateFoFlipHorz)
	ON_COMMAND(ID_FO_FLIP_VERT, OnFoFlipVert)
	ON_UPDATE_COMMAND_UI(ID_FO_FLIP_VERT, OnUpdateFoFlipVert)
	ON_COMMAND(ID_FO_FRONT, OnFoFront)
	ON_UPDATE_COMMAND_UI(ID_FO_FRONT, OnUpdateFoFront)
	ON_COMMAND(ID_FO_BACK, OnFoBack)
	ON_UPDATE_COMMAND_UI(ID_FO_BACK, OnUpdateFoBack)
	ON_COMMAND(ID_FO_FORWARD, OnFoForward)
	ON_UPDATE_COMMAND_UI(ID_FO_FORWARD, OnUpdateFoForward)
	ON_COMMAND(ID_FO_BACKWARD, OnFoBackward)
	ON_UPDATE_COMMAND_UI(ID_FO_BACKWARD, OnUpdateFoBackward)
	ON_COMMAND(ID_FO_ALIGN_LEFT, OnFoAlignLeft)
	ON_UPDATE_COMMAND_UI(ID_FO_ALIGN_LEFT, OnUpdateFoAlignLeft)
	ON_COMMAND(ID_FO_ALIGN_CENTER, OnFoAlignCenter)
	ON_UPDATE_COMMAND_UI(ID_FO_ALIGN_CENTER, OnUpdateFoAlignCenter)
	ON_COMMAND(ID_FO_ALIGN_RIGHT, OnFoAlignRight)
	ON_UPDATE_COMMAND_UI(ID_FO_ALIGN_RIGHT, OnUpdateFoAlignRight)
	ON_COMMAND(ID_FO_ALIGN_TOP, OnFoAlignTop)
	ON_UPDATE_COMMAND_UI(ID_FO_ALIGN_TOP, OnUpdateFoAlignTop)
	ON_COMMAND(ID_FO_ALIGN_VCENTER, OnFoAlignVcenter)
	ON_UPDATE_COMMAND_UI(ID_FO_ALIGN_VCENTER, OnUpdateFoAlignVcenter)
	ON_COMMAND(ID_FO_ALIGN_BOTTOM, OnFoAlignBottom)
	ON_UPDATE_COMMAND_UI(ID_FO_ALIGN_BOTTOM, OnUpdateFoAlignBottom)
	ON_COMMAND(ID_FO_SIZE_WIDTH, OnFoSizeWidth)
	ON_UPDATE_COMMAND_UI(ID_FO_SIZE_WIDTH, OnUpdateFoSizeWidth)
	ON_COMMAND(ID_FO_SIZE_HEIGHT, OnFoSizeHeight)
	ON_UPDATE_COMMAND_UI(ID_FO_SIZE_HEIGHT, OnUpdateFoSizeHeight)
	ON_COMMAND(ID_FO_SIZE_ALL, OnFoSizeAll)
	ON_UPDATE_COMMAND_UI(ID_FO_SIZE_ALL, OnUpdateFoSizeAll)
	ON_COMMAND(ID_FO_ALIGN_INVIEW_HOR, OnFoAlignInviewHor)
	ON_UPDATE_COMMAND_UI(ID_FO_ALIGN_INVIEW_HOR, OnUpdateFoAlignInviewHor)
	ON_COMMAND(ID_FO_ALIGN_INVIEW_VER, OnFoAlignInviewVer)
	ON_UPDATE_COMMAND_UI(ID_FO_ALIGN_INVIEW_VER, OnUpdateFoAlignInviewVer)
	ON_COMMAND(ID_FO_SPACE_ACROSS, OnFoSpaceAcross)
	ON_UPDATE_COMMAND_UI(ID_FO_SPACE_ACROSS, OnUpdateFoSpaceAcross)
	ON_COMMAND(ID_FO_SPACE_DOWN, OnFoSpaceDown)
	ON_UPDATE_COMMAND_UI(ID_FO_SPACE_DOWN, OnUpdateFoSpaceDown)
	ON_COMMAND(ID_FO_CMD_NUDGELEFT, OnFoCmdNudgeleft)
	ON_UPDATE_COMMAND_UI(ID_FO_CMD_NUDGELEFT, OnUpdateFoCmdNudgeleft)
	ON_COMMAND(ID_FO_CMD_NUDGERIGHT, OnFoCmdNudgeright)
	ON_UPDATE_COMMAND_UI(ID_FO_CMD_NUDGERIGHT, OnUpdateFoCmdNudgeright)
	ON_COMMAND(ID_FO_CMD_NUDGETOP, OnFoCmdNudgetop)
	ON_UPDATE_COMMAND_UI(ID_FO_CMD_NUDGETOP, OnUpdateFoCmdNudgetop)
	ON_COMMAND(ID_FO_CMD_NUDGEBOTTOM, OnFoCmdNudgebottom)
	ON_UPDATE_COMMAND_UI(ID_FO_CMD_NUDGEBOTTOM, OnUpdateFoCmdNudgebottom)
	ON_COMMAND(ID_FO_TAB_ORDER, OnFoTabOrder)
	ON_UPDATE_COMMAND_UI(ID_FO_TAB_ORDER, OnUpdateFoTabOrder)
	ON_COMMAND(ID_FO_TEXT_PROP, OnFoTextProp)
	ON_UPDATE_COMMAND_UI(ID_FO_TEXT_PROP, OnUpdateFoTextProp)
	ON_COMMAND(ID_FO_BULLET, OnFoBullet)
	ON_UPDATE_COMMAND_UI(ID_FO_BULLET, OnUpdateFoBullet)
	ON_COMMAND(ID_FO_PROP_LINE, OnFoPropLine)
	ON_UPDATE_COMMAND_UI(ID_FO_PROP_LINE, OnUpdateFoPropLine)
	ON_COMMAND(ID_FO_PROP_FILL, OnFoPropFill)
	ON_UPDATE_COMMAND_UI(ID_FO_PROP_FILL, OnUpdateFoPropFill)
	ON_COMMAND(ID_FO_SHADOW_PROP, OnFoShadowProp)
	ON_UPDATE_COMMAND_UI(ID_FO_SHADOW_PROP, OnUpdateFoShadowProp)
	ON_COMMAND(ID_FO_PROP_EVENT, OnFoPropEvent)
	ON_UPDATE_COMMAND_UI(ID_FO_PROP_EVENT, OnUpdateFoPropEvent)
	ON_COMMAND(ID_FO_PROP_CUSTOM, OnFoPropCustom)
	ON_UPDATE_COMMAND_UI(ID_FO_PROP_CUSTOM, OnUpdateFoPropCustom)
	ON_COMMAND(ID_FO_DRAW_ROUNDRECT, OnFoDrawRoundrect)
	ON_UPDATE_COMMAND_UI(ID_FO_DRAW_ROUNDRECT, OnUpdateFoDrawRoundrect)
	ON_COMMAND(ID_FO_GRID_SNAP, OnFoGridSnap)
	ON_UPDATE_COMMAND_UI(ID_FO_GRID_SNAP, OnUpdateFoGridSnap)
	ON_COMMAND(ID_FO_GLUE_TO_SHAPE, OnFoGlueToShape)
	ON_UPDATE_COMMAND_UI(ID_FO_GLUE_TO_SHAPE, OnUpdateFoGlueToShape)
	ON_COMMAND(ID_FO_MARGIN, OnFoMargin)
	ON_UPDATE_COMMAND_UI(ID_FO_MARGIN, OnUpdateFoMargin)
	ON_COMMAND(ID_FO_CMD_AUTOPAN, OnFoCmdAutopan)
	ON_UPDATE_COMMAND_UI(ID_FO_CMD_AUTOPAN, OnUpdateFoCmdAutopan)
	ON_COMMAND(ID_FO_LINK_A0_NORMAL, OnFoLinkA0Normal)
	ON_UPDATE_COMMAND_UI(ID_FO_LINK_A0_NORMAL, OnUpdateFoLinkA0Normal)
	ON_COMMAND(ID_FO_LINK_A0_BEZIER, OnFoLinkA0Bezier)
	ON_UPDATE_COMMAND_UI(ID_FO_LINK_A0_BEZIER, OnUpdateFoLinkA0Bezier)
	ON_COMMAND(ID_FO_LINK_A0_CORNER, OnFoLinkA0Corner)
	ON_UPDATE_COMMAND_UI(ID_FO_LINK_A0_CORNER, OnUpdateFoLinkA0Corner)
	ON_COMMAND(ID_FO_LINK_A0_UPRIGHT, OnFoLinkA0Upright)
	ON_UPDATE_COMMAND_UI(ID_FO_LINK_A0_UPRIGHT, OnUpdateFoLinkA0Upright)
	ON_COMMAND(ID_FO_DRAW_TABLE, OnFoDrawTable)
	ON_UPDATE_COMMAND_UI(ID_FO_DRAW_TABLE, OnUpdateFoDrawTable)
	ON_COMMAND(ID_FO_DRAW_MULTISELECT, OnFoDrawMultiselect)
	ON_UPDATE_COMMAND_UI(ID_FO_DRAW_MULTISELECT, OnUpdateFoDrawMultiselect)
	ON_COMMAND(ID_FO_DRAW_ARCLINE, OnFoDrawArcline)
	ON_UPDATE_COMMAND_UI(ID_FO_DRAW_ARCLINE, OnUpdateFoDrawArcline)
	ON_COMMAND(ID_FO_DRAW_PIE, OnFoDrawPie)
	ON_UPDATE_COMMAND_UI(ID_FO_DRAW_PIE, OnUpdateFoDrawPie)
	ON_COMMAND(ID_FO_VIEW_PANWND, OnFoViewPanwnd)
	ON_UPDATE_COMMAND_UI(ID_FO_VIEW_PANWND, OnUpdateFoViewPanwnd)
	ON_COMMAND(ID_FO_DRAW_ARC2, OnFoDrawArc2)
	ON_UPDATE_COMMAND_UI(ID_FO_DRAW_ARC2, OnUpdateFoDrawArc2)
	ON_COMMAND(ID_FO_DRAW_CHORD, OnFoDrawChord)
	ON_UPDATE_COMMAND_UI(ID_FO_DRAW_CHORD, OnUpdateFoDrawChord)
	ON_COMMAND(ID_FO_MIRROR_FREE, OnFoMirrorFree)
	ON_UPDATE_COMMAND_UI(ID_FO_MIRROR_FREE, OnUpdateFoMirrorFree)
	ON_COMMAND(ID_FO_POSANDSIZEDLG, OnFoPosandsizedlg)
	ON_UPDATE_COMMAND_UI(ID_FO_POSANDSIZEDLG, OnUpdateFoPosandsizedlg)
	ON_COMMAND(ID_FO_DRAW_EXT_LINE, OnFoDrawExtLine)
	ON_COMMAND(ID_FO_DRAW_HORZ_DIMLINE, OnFoDrawHorzDimline)
	ON_COMMAND(ID_FO_DRAW_VERT_DIMLINE, OnFoDrawVertDimline)
	ON_COMMAND(ID_FO_DRAW_RADIUS_DIMLINE, OnFoDrawRadiusDimline)
	ON_COMMAND(ID_FO_DRAW_CAPTIONLINE, OnFoDrawCaptionline)
	ON_COMMAND(ID_FO_DRAW_RECT_CALLOUT, OnFoDrawRectCallout)
	ON_COMMAND(ID_FO_DRAW_ROUND_CALLOUT, OnFoDrawRoundCallout)
	ON_COMMAND(ID_FO_DRAW_CLOUD_CALLOUT, OnFoDrawCloudCallout)
	ON_COMMAND(ID_FO_GLUE_TO_SHAPE_SPOT, OnFoGlueToShapeSpot)
	ON_COMMAND(ID_FO_GLUE_TO_INTERSECT_POINT, OnFoGlueToIntersectPoint)
	ON_COMMAND(ID_FO_DRAW_FROMCENTER, OnFoDrawFromcenter)
	ON_COMMAND(ID_FO_INFRONT_SHAPE, OnFoInfrontShape)
	ON_COMMAND(ID_FO_BEHIND_SHAPE, OnFoBehindShape)
	ON_COMMAND(ID_FO_REVERSE_ORDER, OnFoReverseOrder)
	ON_UPDATE_COMMAND_UI(ID_FO_GLUE_TO_SHAPE_SPOT, OnUpdateFoGlueToShapeSpot)
	ON_UPDATE_COMMAND_UI(ID_FO_GLUE_TO_INTERSECT_POINT, OnUpdateFoGlueToIntersectPoint)
	ON_UPDATE_COMMAND_UI(ID_FO_DRAW_FROMCENTER, OnUpdateFoDrawFromcenter)
	ON_COMMAND(ID_FO_SHEAR_FREE, OnFoShearFree)
	ON_UPDATE_COMMAND_UI(ID_FO_SHEAR_FREE, OnUpdateFoShearFree)
	ON_COMMAND(ID_FO_CONVERT_PATH, OnFoConvertPath)
	ON_UPDATE_COMMAND_UI(ID_FO_CONVERT_PATH, OnUpdateFoConvertPath)
	ON_COMMAND(ID_FO_CONVERT_POLYGON, OnFoConvertPolygon)
	ON_UPDATE_COMMAND_UI(ID_FO_CONVERT_POLYGON, OnUpdateFoConvertPolygon)
	ON_COMMAND(ID_FO_SHAPES_COMBINE, OnFoShapesCombine)
	ON_UPDATE_COMMAND_UI(ID_FO_SHAPES_COMBINE, OnUpdateFoShapesCombine)
	ON_COMMAND(ID_FO_SHAPES_DISMANTLE, OnFoShapesDismantle)
	ON_UPDATE_COMMAND_UI(ID_FO_SHAPES_DISMANTLE, OnUpdateFoShapesDismantle)
	ON_COMMAND(ID_FO_SHAPES_MERGE_MERGE, OnFoShapesMergeMerge)
	ON_UPDATE_COMMAND_UI(ID_FO_SHAPES_MERGE_MERGE, OnUpdateFoShapesMergeMerge)
	ON_COMMAND(ID_FO_SHAPES_MERGE_SUBSTRACT, OnFoShapesMergeSubstract)
	ON_UPDATE_COMMAND_UI(ID_FO_SHAPES_MERGE_SUBSTRACT, OnUpdateFoShapesMergeSubstract)
	ON_COMMAND(ID_FO_SHAPES_MERGE_INTERSECT, OnFoShapesMergeIntersect)
	ON_UPDATE_COMMAND_UI(ID_FO_SHAPES_MERGE_INTERSECT, OnUpdateFoShapesMergeIntersect)
	ON_COMMAND(ID_FO_CONNECT_LINES, OnFoConnectLines)
	ON_UPDATE_COMMAND_UI(ID_FO_CONNECT_LINES, OnUpdateFoConnectLines)
	ON_COMMAND(ID_FO_BREAK_LINES, OnFoBreakLines)
	ON_UPDATE_COMMAND_UI(ID_FO_BREAK_LINES, OnUpdateFoBreakLines)
	ON_COMMAND(ID_FO_CLOSESHAPE, OnFoCloseshape)
	ON_UPDATE_COMMAND_UI(ID_FO_CLOSESHAPE, OnUpdateFoCloseshape)
	ON_COMMAND(ID_FO_POLY_INSERTPOINT, OnFoPolyInsertpoint)
	ON_UPDATE_COMMAND_UI(ID_FO_POLY_INSERTPOINT, OnUpdateFoPolyInsertpoint)
	ON_COMMAND(ID_FO_POLY_DELETEPOINT, OnFoPolyDeletepoint)
	ON_UPDATE_COMMAND_UI(ID_FO_POLY_DELETEPOINT, OnUpdateFoPolyDeletepoint)
	ON_COMMAND(ID_FO_POLY_MAKELINE, OnFoPolyMakeline)
	ON_UPDATE_COMMAND_UI(ID_FO_POLY_MAKELINE, OnUpdateFoPolyMakeline)
	ON_COMMAND(ID_FO_POLY_MAKECURVE, OnFoPolyMakecurve)
	ON_UPDATE_COMMAND_UI(ID_FO_POLY_MAKECURVE, OnUpdateFoPolyMakecurve)
	ON_COMMAND(ID_FO_POLY_RIPUPPOINT, OnFoPolyRipuppoint)
	ON_UPDATE_COMMAND_UI(ID_FO_POLY_RIPUPPOINT, OnUpdateFoPolyRipuppoint)
	ON_COMMAND(ID_FO_DRAW_SELECT_ELLIPSE, OnFoDrawSelectEllipse)
	ON_UPDATE_COMMAND_UI(ID_FO_DRAW_SELECT_ELLIPSE, OnUpdateFoDrawSelectEllipse)
	//}}AFX_MSG_MAP
	// Standard printing commands
	ON_WM_ERASEBKGND()
	ON_MESSAGE( WM_SAVEDOCUMENT, OnSaveDocument)
	ON_COMMAND(ID_FILE_PRINT, CFormView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CFormView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CFormView::OnFilePrintPreview)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CUCCSampleView construction/destruction

CUCCSampleView::CUCCSampleView()
	: CFormView(CUCCSampleView::IDD)
{
	//{{AFX_DATA_INIT(CUCCSampleView)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	// TODO: add construction code here
	m_pIPictureDisp = NULL;
}

CUCCSampleView::~CUCCSampleView()
{
	m_strFileName = "";

	if (m_pIPictureDisp != NULL) 
	{
		int nRefCount = m_pIPictureDisp->Release();
	}
}

void CUCCSampleView::DoDataExchange(CDataExchange* pDX)
{
	CFormView::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CUCCSampleView)
	DDX_Control(pDX, IDC_UCCDRAWCTRL1, m_XDrawCtrl);
	//}}AFX_DATA_MAP
}

BOOL CUCCSampleView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CFormView::PreCreateWindow(cs);
}

void CUCCSampleView::OnInitialUpdate()
{
	CFormView::OnInitialUpdate();
	CRect Rect;
    GetClientRect(Rect);
    m_XDrawCtrl.MoveWindow(Rect);
//	m_XDrawCtrl.SetPagePosition(0, 0, 400, 200);
//	m_XDrawCtrl.ChangeToolBoxIndexFile("Circuit.dat");
	
	CUCCSampleDoc* pDoc = GetDocument();
	if(pDoc != NULL)
	{
		CString strDocName = pDoc->GetDocumentName();
		if(strDocName != "")
		{
			m_XDrawCtrl.Read(strDocName);
		}
	}	
	
	if (m_XDrawCtrl.GetSafeHwnd() != NULL)
	{
		CRect rc;
		GetClientRect(&rc);
		m_XDrawCtrl.MoveWindow(0, 0, rc.Width(), rc.Height());
	}

	m_testBitmap.LoadBitmap(IDB_TITLE);
	PICTDESC pictDesc;
	pictDesc.picType = PICTYPE_BITMAP;
	pictDesc.bmp.hbitmap = (HBITMAP)m_testBitmap;
//	pictDesc.bmp.hpal = (HPALETTE)CreatePalette(m_lpLogPal);
	pictDesc.cbSizeofstruct = sizeof (PICTDESC);
	m_pIPictureDisp = NULL;
	if (OleCreatePictureIndirect(&pictDesc, IID_IPictureDisp, FALSE, (void**)&m_pIPictureDisp) != S_OK)
	{
		AfxMessageBox(_T("Failed to create IPictureDisp"));
		return;
	}
	m_pIPictureDisp->AddRef();

	CString strPathX = AfxGetApp()->m_pszHelpFilePath;
	strPathX = strPathX.Left(strPathX.ReverseFind('\\'));
	CString strOtherFile;
	strOtherFile = strPathX+_T("\\elec_diagram.xdg");

//	m_XDrawCtrl.LoadXdgFromFile(strOtherFile);
}

BOOL CUCCSampleView::OnEraseBkgnd(CDC* pDC) 
{
	// To avoid flashing when resizing window:
	return TRUE;
}

/////////////////////////////////////////////////////////////////////////////
// CUCCSampleView printing

BOOL CUCCSampleView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// default preparation
	return DoPreparePrinting(pInfo);
}

void CUCCSampleView::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add extra initialization before printing
}

void CUCCSampleView::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add cleanup after printing
}

void CUCCSampleView::OnPrint(CDC* pDC, CPrintInfo* /*pInfo*/)
{
	// TODO: add customized printing code here
}

/////////////////////////////////////////////////////////////////////////////
// CUCCSampleView diagnostics

#ifdef _DEBUG
void CUCCSampleView::AssertValid() const
{
	CFormView::AssertValid();
}

void CUCCSampleView::Dump(CDumpContext& dc) const
{
	CFormView::Dump(dc);
}

CUCCSampleDoc* CUCCSampleView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CUCCSampleDoc)));
	return (CUCCSampleDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CUCCSampleView message handlers

void CUCCSampleView::OnSize(UINT nType, int cx, int cy) 
{
	CFormView::OnSize(nType, cx, cy);
	
	// TODO: Add your message handler code here
	CRect Rect;
    GetClientRect(Rect);
    if (m_XDrawCtrl.GetSafeHwnd() !=NULL) 
	{
        m_XDrawCtrl.MoveWindow(Rect);
		
        ShowScrollBar(SB_BOTH, FALSE);
    }
}


void CUCCSampleView::OnFoDesign() 
{
	// TODO: Add your command handler code here
	BOOL bDesign = m_XDrawCtrl.GetDesignMode();
	m_XDrawCtrl.SetDesignMode(!bDesign);
}

void CUCCSampleView::OnUpdateFoDesign(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck(m_XDrawCtrl.GetDesignMode());
}

void CUCCSampleView::OnFoDrawArrowbezierline() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoDrawArrowBezierLine();
}

void CUCCSampleView::OnUpdateFoDrawArrowbezierline(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck(m_XDrawCtrl.GetDrawType() == FO_COMP_ARROWBEZIERLINE);
}

void CUCCSampleView::OnFoDrawArrowline() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoDrawArrowLine();
}

void CUCCSampleView::OnUpdateFoDrawArrowline(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck(m_XDrawCtrl.GetDrawType() == FO_COMP_ARROWLINE);
}

void CUCCSampleView::OnFoDrawButton() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoDrawButton();
}

void CUCCSampleView::OnUpdateFoDrawButton(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck(m_XDrawCtrl.GetDrawType() == FO_COMP_HYLINK);
}

void CUCCSampleView::OnFoDrawClosebezier() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoDrawCloseBezier();
}

void CUCCSampleView::OnUpdateFoDrawClosebezier(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck(m_XDrawCtrl.GetDrawType() == FO_COMP_CLOSEBEZIER);
}

void CUCCSampleView::OnFoDrawCrossline() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoDrawCrossLine();
}

void CUCCSampleView::OnUpdateFoDrawCrossline(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck(m_XDrawCtrl.GetDrawType() == FO_COMP_CROSSLINE);
}

void CUCCSampleView::OnFoDrawDimline() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoDrawDimLine();
}

void CUCCSampleView::OnUpdateFoDrawDimline(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck(m_XDrawCtrl.GetDrawType() == FO_COMP_DIMLINE);
}

void CUCCSampleView::OnFoDrawEllipse() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoDrawEllipse();
}

void CUCCSampleView::OnUpdateFoDrawEllipse(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck(m_XDrawCtrl.GetDrawType() == FO_COMP_ELLIPSE);
}

void CUCCSampleView::OnFoDrawFreecloseline() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoDrawFreeCloseLine();
}

void CUCCSampleView::OnUpdateFoDrawFreecloseline(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck(m_XDrawCtrl.GetDrawType() == FO_COMP_FREECLOSELINE);
}

void CUCCSampleView::OnFoDrawFreeline() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoDrawFreeLine();
}

void CUCCSampleView::OnUpdateFoDrawFreeline(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck(m_XDrawCtrl.GetDrawType() == FO_COMP_FREELINE);
}

void CUCCSampleView::OnFoDrawImage() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoDoDrawImage();
}

void CUCCSampleView::OnUpdateFoDrawImage(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck(m_XDrawCtrl.GetDrawType() == FO_STATE_DRAW_IMAGE);
}

void CUCCSampleView::OnFoDrawLine() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoDrawLine();
}

void CUCCSampleView::OnUpdateFoDrawLine(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck(m_XDrawCtrl.GetDrawType() == FO_COMP_LINE);
}

void CUCCSampleView::OnFoDrawPolygon() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoDrawPolygon();
}

void CUCCSampleView::OnUpdateFoDrawPolygon(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck(m_XDrawCtrl.GetDrawType() == FO_COMP_POLYGON);
}

void CUCCSampleView::OnFoDrawPolyline() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoDrawPolyLine();
}

void CUCCSampleView::OnUpdateFoDrawPolyline(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck(m_XDrawCtrl.GetDrawType() == FO_COMP_POLYLINE);
}

void CUCCSampleView::OnFoDrawPort() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoDrawPort();
}

void CUCCSampleView::OnUpdateFoDrawPort(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck(m_XDrawCtrl.GetDrawType() == FO_COMP_PORT);
}

void CUCCSampleView::OnFoDrawRectangle() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoDrawRectangle();
}

void CUCCSampleView::OnUpdateFoDrawRectangle(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck(m_XDrawCtrl.GetDrawType() == FO_COMP_RECTANGLE);
}

void CUCCSampleView::OnFoDrawRound() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoDrawBezierLine();
}

void CUCCSampleView::OnUpdateFoDrawRound(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck(m_XDrawCtrl.GetDrawType() == FO_COMP_ROUND);
}

void CUCCSampleView::OnFoDrawSelect() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoDrawSelect();
}

void CUCCSampleView::OnUpdateFoDrawSelect(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck(m_XDrawCtrl.GetDrawType() == FO_COMP_NONE && !m_XDrawCtrl.IsMultiSelectMode());
}

void CUCCSampleView::OnFoDrawStatic() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoDrawStatic();
}

void CUCCSampleView::OnUpdateFoDrawStatic(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck(m_XDrawCtrl.GetDrawType() == FO_COMP_STATIC);
}

void CUCCSampleView::OnFoEditSpots() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoEditSpot();
}

void CUCCSampleView::OnUpdateFoEditSpots(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck(m_XDrawCtrl.IsEditSpots());
}

void CUCCSampleView::OnFoGrid() 
{
	// TODO: Add your command handler code here
	BOOL bGrid = m_XDrawCtrl.GetShowGrid();
	m_XDrawCtrl.SetShowGrid(!bGrid);
}

void CUCCSampleView::OnUpdateFoGrid(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck(m_XDrawCtrl.GetShowGrid());
}


void CUCCSampleView::OnEditUndo() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.Undo();
}

void CUCCSampleView::OnEditRedo() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.Redo();
}

void CUCCSampleView::OnFoPageprop() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoShowPagePropDlg();
}

void CUCCSampleView::OnEditCopy() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.Copy();
}

void CUCCSampleView::OnUpdateEditCopy(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.GetTotalSelect() > 0);
}

void CUCCSampleView::OnEditCut() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.Cut();
}

void CUCCSampleView::OnUpdateEditCut(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.GetTotalSelect() > 0);
}

void CUCCSampleView::OnEditPaste() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.Paste();
}

void CUCCSampleView::OnUpdateEditPaste(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.CanPaste());
}

LONG CUCCSampleView::OnSaveDocument( WPARAM wParam, LPARAM lParam)
{
	CUCCSampleDoc* pDoc = GetDocument();
	if(pDoc != NULL)
	{
		CString strDocName = pDoc->GetDocumentName();
		if(strDocName != "")
		{
			LONG lRes = (LONG) m_XDrawCtrl.Write(strDocName);  // in .pdr format
			if(lRes)
			{
				// inform the framework that the modifications were saved:
				pDoc->SetModifiedFlag(FALSE);
				// set the control's flag so the Modified event can be fired again:
				m_XDrawCtrl.SetModifiedFlag(FALSE);
			}
			return lRes;
		}
	}	
	
	return 0L;
}

void CUCCSampleView::OnFoShowGrid() 
{
	// TODO: Add your command handler code here
	BOOL bGrid = m_XDrawCtrl.GetShowGrid();
	m_XDrawCtrl.SetShowGrid(!bGrid);
}

void CUCCSampleView::OnUpdateFoShowGrid(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck(m_XDrawCtrl.GetShowGrid());
}

void CUCCSampleView::OnFoFileExport() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.Export();
}

void CUCCSampleView::OnUpdateFoFileExport(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here

}

void CUCCSampleView::OnFoPrintHeaderFooter() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoShowHeaderAndFooterDlg();
}

void CUCCSampleView::OnFilePageSetup() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoPageSetup();
}

void CUCCSampleView::OnFilePrint() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.PrintDraw();
}

void CUCCSampleView::OnFilePrintPreview() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoPrintPreview(0);
}

void CUCCSampleView::OnEditClear() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.Clear();
}

void CUCCSampleView::OnUpdateEditClear(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.GetTotalSelect() > 0);
}

void CUCCSampleView::OnUpdateEditUndo(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.CanUndo());
}

void CUCCSampleView::OnUpdateEditRedo(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.CanRedo());
}

void CUCCSampleView::OnEditSelectAll() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.SelectAll();
}

void CUCCSampleView::OnUpdateEditSelectAll(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.GetCompsCount() > 0);
}

void CUCCSampleView::OnEditClearAll() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.ClearAll();
}

void CUCCSampleView::OnUpdateEditClearAll(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.GetCompsCount() > 0);
}

void CUCCSampleView::OnFoViewZoom50() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.SetZoomPercent(50);
}

void CUCCSampleView::OnFoViewZoom75() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.SetZoomPercent(75);
}

void CUCCSampleView::OnFoViewZoom100() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.SetZoomPercent(100);
}

void CUCCSampleView::OnFoViewZoom150() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.SetZoomPercent(150);
}

void CUCCSampleView::OnFoViewZoom200() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.SetZoomPercent(200);
}

void CUCCSampleView::OnFoViewScalesub25() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.ZoomOut();
}

void CUCCSampleView::OnFoViewScaleadd25() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.ZoomIn();
}

void CUCCSampleView::OnFoZoomfitpage() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.ZoomToFitPage();
}

void CUCCSampleView::OnFoZoomfitwidth() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.ZoomToFitPageWidth();	
}

void CUCCSampleView::OnFoZoomfitheight() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.ZoomToFitPageHeight();
}

void CUCCSampleView::OnFoZoomFitselect() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.ZoomToFitSelect();
}

void CUCCSampleView::OnFoZoomwithinrect() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoZoomWithinRect();
}

void CUCCSampleView::OnFoGridProp() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.OnGridProp();
}

void CUCCSampleView::OnFoCompsSelect() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoShowCompsSelectDlg();
}

void CUCCSampleView::OnFoGroup() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.Group();
}

void CUCCSampleView::OnUpdateFoGroup(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.GetTotalSelect() > 0);
}

void CUCCSampleView::OnFoUngroup() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.UnGroup();
}

void CUCCSampleView::OnUpdateFoUngroup(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.GetTotalSelect() > 0);
}

void CUCCSampleView::OnFoRotate() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoRotate();
}

void CUCCSampleView::OnUpdateFoRotate(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck(m_XDrawCtrl.GetCommandState() == State_SelectRotate);
}

void CUCCSampleView::OnFoRotateLeft() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoRotateLeft();
}

void CUCCSampleView::OnFoRotateRight() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoRotateRight();
}

void CUCCSampleView::OnUpdateFoRotateLeft(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.GetTotalSelect() > 0);
}

void CUCCSampleView::OnUpdateFoRotateRight(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.GetTotalSelect() > 0);
}

void CUCCSampleView::OnFoFlipHorz() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoFlipHorz();
}

void CUCCSampleView::OnUpdateFoFlipHorz(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.GetTotalSelect() > 0);
}

void CUCCSampleView::OnFoFlipVert() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoFlipVert();
}

void CUCCSampleView::OnUpdateFoFlipVert(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.GetTotalSelect() > 0);
}

void CUCCSampleView::OnFoFront() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoMoveFront();
}

void CUCCSampleView::OnUpdateFoFront(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.GetTotalSelect() > 0);
}

void CUCCSampleView::OnFoBack() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoMoveBack();
}

void CUCCSampleView::OnUpdateFoBack(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.GetTotalSelect() > 0);
}

void CUCCSampleView::OnFoForward() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoMoveForward();
}

void CUCCSampleView::OnUpdateFoForward(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.GetTotalSelect() > 0);
}

void CUCCSampleView::OnFoBackward() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoMoveBackward();
}

void CUCCSampleView::OnUpdateFoBackward(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.GetTotalSelect() > 0);
}

void CUCCSampleView::OnFoAlignLeft() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoAlignLeft();
}

void CUCCSampleView::OnUpdateFoAlignLeft(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.GetTotalSelect() > 1);
}

void CUCCSampleView::OnFoAlignCenter() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoAlignCenter();
}

void CUCCSampleView::OnUpdateFoAlignCenter(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.GetTotalSelect() > 1);
}

void CUCCSampleView::OnFoAlignRight() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoAlignRight();
}

void CUCCSampleView::OnUpdateFoAlignRight(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.GetTotalSelect() > 1);
}

void CUCCSampleView::OnFoAlignTop() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoAlignTop();
}

void CUCCSampleView::OnUpdateFoAlignTop(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.GetTotalSelect() > 1);
}

void CUCCSampleView::OnFoAlignVcenter() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoAlignVcenter();
}

void CUCCSampleView::OnUpdateFoAlignVcenter(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.GetTotalSelect() > 1);
}

void CUCCSampleView::OnFoAlignBottom() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoAlignBottom();
}

void CUCCSampleView::OnUpdateFoAlignBottom(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.GetTotalSelect() > 1);
}

void CUCCSampleView::OnFoSizeWidth() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoSizeWidth();
}

void CUCCSampleView::OnUpdateFoSizeWidth(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.GetTotalSelect() > 1);
}

void CUCCSampleView::OnFoSizeHeight() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoSizeHeight();
}

void CUCCSampleView::OnUpdateFoSizeHeight(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.GetTotalSelect() > 1);
}

void CUCCSampleView::OnFoSizeAll() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoSizeAll();
}

void CUCCSampleView::OnUpdateFoSizeAll(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.GetTotalSelect() > 1);
}

void CUCCSampleView::OnFoAlignInviewHor() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoAlignInviewHor();
}

void CUCCSampleView::OnUpdateFoAlignInviewHor(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.GetTotalSelect() > 0);
}

void CUCCSampleView::OnFoAlignInviewVer() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoAlignInviewVer();
}

void CUCCSampleView::OnUpdateFoAlignInviewVer(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.GetTotalSelect() > 0);
}

void CUCCSampleView::OnFoSpaceAcross() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoSpaceAcross();
}

void CUCCSampleView::OnUpdateFoSpaceAcross(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.GetTotalSelect() > 2);
}

void CUCCSampleView::OnFoSpaceDown() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoSpaceDown();
}

void CUCCSampleView::OnUpdateFoSpaceDown(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.GetTotalSelect() > 2);
}

void CUCCSampleView::OnFoCmdNudgeleft() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoCmdNudgeleft();
}

void CUCCSampleView::OnUpdateFoCmdNudgeleft(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.GetTotalSelect() > 0);
}

void CUCCSampleView::OnFoCmdNudgeright() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoCmdNudgeright();
}

void CUCCSampleView::OnUpdateFoCmdNudgeright(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.GetTotalSelect() > 0);
}

void CUCCSampleView::OnFoCmdNudgetop() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoCmdNudgetop();
}

void CUCCSampleView::OnUpdateFoCmdNudgetop(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.GetTotalSelect() > 0);
}

void CUCCSampleView::OnFoCmdNudgebottom() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoCmdNudgebottom();
}

void CUCCSampleView::OnUpdateFoCmdNudgebottom(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.GetTotalSelect() > 0);
}

void CUCCSampleView::OnFoTabOrder() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoTabOrder();
}

void CUCCSampleView::OnUpdateFoTabOrder(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck(m_XDrawCtrl.IsTabOrder());
}

void CUCCSampleView::OnFoTextProp() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoShowTextDlg();
}

void CUCCSampleView::OnUpdateFoTextProp(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.GetTotalSelect() > 0);
}

void CUCCSampleView::OnFoBullet() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoShowBulletsDlg();
}

void CUCCSampleView::OnUpdateFoBullet(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.GetTotalSelect() > 0);
}

void CUCCSampleView::OnFoPropLine() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoShowLineDlg();
}

void CUCCSampleView::OnUpdateFoPropLine(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.GetTotalSelect() > 0);
}

void CUCCSampleView::OnFoPropFill() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoShowFillDlg();
}

void CUCCSampleView::OnUpdateFoPropFill(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.GetTotalSelect() > 0);
}

void CUCCSampleView::OnFoShadowProp() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoShowShadowDlg();
}

void CUCCSampleView::OnUpdateFoShadowProp(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.GetTotalSelect() > 0);
}

void CUCCSampleView::OnFoPropEvent() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoShowEventDlg();
}

void CUCCSampleView::OnUpdateFoPropEvent(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.GetTotalSelect() > 0);
}

void CUCCSampleView::OnFoPropCustom() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoShowCustomDlg();
}

void CUCCSampleView::OnUpdateFoPropCustom(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.GetTotalSelect() > 0);
}

void CUCCSampleView::OnFoDrawRoundrect() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoDrawRoundRect();
}

void CUCCSampleView::OnUpdateFoDrawRoundrect(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck(m_XDrawCtrl.GetCommandState() == State_DrawRoundRect);
}

void CUCCSampleView::OnFoGridSnap() 
{
	// TODO: Add your command handler code here
	BOOL bSnap = m_XDrawCtrl.GetSnapToGrid();
	m_XDrawCtrl.SetSnapToGrid(!bSnap);
}

void CUCCSampleView::OnUpdateFoGridSnap(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck(m_XDrawCtrl.GetSnapToGrid());
}

void CUCCSampleView::OnFoGlueToShape() 
{
	// TODO: Add your command handler code here
	BOOL bGlue = m_XDrawCtrl.GetGlueToHandle();
	m_XDrawCtrl.SetGlueToHandle(!bGlue);
}

void CUCCSampleView::OnUpdateFoGlueToShape(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck(m_XDrawCtrl.GetGlueToHandle());
}

void CUCCSampleView::OnFoMargin() 
{
	// TODO: Add your command handler code here
	BOOL bMargin = m_XDrawCtrl.GetShowPageBreakLine();
	m_XDrawCtrl.SetShowPageBreakLine(!bMargin);
}

void CUCCSampleView::OnUpdateFoMargin(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck(m_XDrawCtrl.GetShowPageBreakLine());
}

void CUCCSampleView::OnFoCmdAutopan() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoCmdAutoPan();
}

void CUCCSampleView::OnUpdateFoCmdAutopan(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck((m_XDrawCtrl.GetCommandState() == State_AutoMoveScroll ||
		m_XDrawCtrl.GetCommandState() == State_AutoMoveStart || 
		m_XDrawCtrl.GetCommandState() == State_AutoMoving) ? 1 : 0);

}

void CUCCSampleView::OnFoLinkA0Normal() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoDrawLinkNormal();
}

void CUCCSampleView::OnUpdateFoLinkA0Normal(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck(m_XDrawCtrl.GetDrawType() == FO_COMP_LINK);
}

void CUCCSampleView::OnFoLinkA0Bezier() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoDrawBezierLink();
}

void CUCCSampleView::OnUpdateFoLinkA0Bezier(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck(m_XDrawCtrl.GetDrawType() == FO_COMP_BEZIERLINK);
}

void CUCCSampleView::OnFoLinkA0Corner() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoDrawCornerLink();
}

void CUCCSampleView::OnUpdateFoLinkA0Corner(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck(m_XDrawCtrl.GetDrawType() == FO_COMP_CORNERLINK);
}

void CUCCSampleView::OnFoLinkA0Upright() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoDrawLinkUpRight();
}

void CUCCSampleView::OnUpdateFoLinkA0Upright(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck(m_XDrawCtrl.GetDrawType() == FO_COMP_UPRIGHTLINK);
}

void CUCCSampleView::OnFoDrawTable() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoDrawTable();
}

void CUCCSampleView::OnUpdateFoDrawTable(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck(m_XDrawCtrl.GetDrawType() == FO_COMP_GRID);
}

void CUCCSampleView::OnFoDrawMultiselect() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoDrawMultiSelect();
}

void CUCCSampleView::OnUpdateFoDrawMultiselect(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck(m_XDrawCtrl.GetDrawType() == FO_COMP_NONE && m_XDrawCtrl.IsMultiSelectMode());
}

void CUCCSampleView::OnFoDrawArcline() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoDrawArcLine();
}

void CUCCSampleView::OnUpdateFoDrawArcline(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck(m_XDrawCtrl.GetDrawType() == FO_COMP_ARCLINE);
}

void CUCCSampleView::OnFoDrawPie() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoDrawPie();
}

void CUCCSampleView::OnUpdateFoDrawPie(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck(m_XDrawCtrl.GetDrawType() == FO_COMP_PIE);
}

void CUCCSampleView::OnFoViewPanwnd() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoShowPanWnd();
}

void CUCCSampleView::OnUpdateFoViewPanwnd(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck(m_XDrawCtrl.IsPanWndShow());
}

void CUCCSampleView::OnFoDrawArc2() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoDrawArcLine2();
}

void CUCCSampleView::OnUpdateFoDrawArc2(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck(m_XDrawCtrl.GetDrawType() == FO_COMP_ARC2);
}

void CUCCSampleView::OnFoDrawChord() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoDrawEllipseChord();
}

void CUCCSampleView::OnUpdateFoDrawChord(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck(m_XDrawCtrl.GetDrawType() == FO_COMP_CHORD);
}

void CUCCSampleView::OnFoMirrorFree() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoMirrorFree();
}

void CUCCSampleView::OnUpdateFoMirrorFree(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck(m_XDrawCtrl.GetCommandState() == State_MoveMirrorPoint);
}

void CUCCSampleView::OnFoPosandsizedlg() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoShowPosAndSizeDlg();
}

void CUCCSampleView::OnUpdateFoPosandsizedlg(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.GetTotalSelect() > 0);
}

void CUCCSampleView::OnFoDrawExtLine() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoDrawExtLine();
}

void CUCCSampleView::OnFoDrawHorzDimline() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoDrawHorzDimline();
}

void CUCCSampleView::OnFoDrawVertDimline() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoDrawVertDimline();
}

void CUCCSampleView::OnFoDrawRadiusDimline() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoDrawRadiusDimline();
}

void CUCCSampleView::OnFoDrawCaptionline() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoDrawCaptionline();
}

void CUCCSampleView::OnFoDrawRectCallout() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoDrawRectCallout();
}

void CUCCSampleView::OnFoDrawRoundCallout() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoDrawRoundCallout();
}

void CUCCSampleView::OnFoDrawCloudCallout() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoDrawCloudCallout();
}

void CUCCSampleView::OnFoGlueToShapeSpot() 
{
	// TODO: Add your command handler code here
	BOOL bGlue = m_XDrawCtrl.IsEnableSnapToControlHandle();
	m_XDrawCtrl.EnableSnapToControlHandle(!bGlue);
}

void CUCCSampleView::OnFoGlueToIntersectPoint() 
{
	// TODO: Add your command handler code here
	BOOL bGlue = m_XDrawCtrl.IsEnableSnapToIntersectPoint();
	m_XDrawCtrl.EnableSnapToIntersectPoint(!bGlue);
}

void CUCCSampleView::OnFoDrawFromcenter() 
{
	// TODO: Add your command handler code here
	BOOL bGlue = m_XDrawCtrl.IsCenterDrawAllowed();
	m_XDrawCtrl.EnableCenterDraw(!bGlue);
}

void CUCCSampleView::OnFoInfrontShape() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoInfrontShape();
}

void CUCCSampleView::OnFoBehindShape() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoBehindShape();
}

void CUCCSampleView::OnFoReverseOrder() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoReverseOrder();
}

void CUCCSampleView::OnUpdateFoGlueToShapeSpot(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck(m_XDrawCtrl.IsEnableSnapToControlHandle());
}

void CUCCSampleView::OnUpdateFoGlueToIntersectPoint(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck(m_XDrawCtrl.IsEnableSnapToIntersectPoint());
}

void CUCCSampleView::OnUpdateFoDrawFromcenter(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck(m_XDrawCtrl.IsCenterDrawAllowed());
}

void CUCCSampleView::OnFoShearFree() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoShearFree();
}

void CUCCSampleView::OnUpdateFoShearFree(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.IsAllowShearFree());
}

void CUCCSampleView::OnFoConvertPath() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoConvertToPath();
}

void CUCCSampleView::OnUpdateFoConvertPath(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.IsAllowConvertToPath());

}

void CUCCSampleView::OnFoConvertPolygon() 
{
	// TODO: Add your command handler code here

	m_XDrawCtrl.DoConvertToPoly();
}

void CUCCSampleView::OnUpdateFoConvertPolygon(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.IsAllowConvertToPoly());
}

void CUCCSampleView::OnFoShapesCombine() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoShapesCombine();
}

void CUCCSampleView::OnUpdateFoShapesCombine(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.IsAllowShapeCombine());
}

void CUCCSampleView::OnFoShapesDismantle() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoShapesDismantle();
}

void CUCCSampleView::OnUpdateFoShapesDismantle(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.IsAllowShapeDismantle());
}

void CUCCSampleView::OnFoShapesMergeMerge() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoShapesMergeMerge();
}

void CUCCSampleView::OnUpdateFoShapesMergeMerge(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here

	pCmdUI->Enable(m_XDrawCtrl.IsAllowShapeMergeMerge());
}

void CUCCSampleView::OnFoShapesMergeSubstract() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoShapesMergeSubstract();
}

void CUCCSampleView::OnUpdateFoShapesMergeSubstract(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here

	pCmdUI->Enable(m_XDrawCtrl.IsAllowShapeMergeSubstract());
}

void CUCCSampleView::OnFoShapesMergeIntersect() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoShapesMergeIntersect();
}

void CUCCSampleView::OnUpdateFoShapesMergeIntersect(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.IsAllowShapeMergeIntersect());
}

void CUCCSampleView::OnFoConnectLines() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoConnectLines();
}

void CUCCSampleView::OnUpdateFoConnectLines(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here

	pCmdUI->Enable(m_XDrawCtrl.IsAllowConnectLines());
}

void CUCCSampleView::OnFoBreakLines() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoBreakShapeToLines();
}

void CUCCSampleView::OnUpdateFoBreakLines(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.IsAllowBreakShapeToLines());
}


void CUCCSampleView::OnFoCloseshape() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoCloseShape();
}

void CUCCSampleView::OnUpdateFoCloseshape(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->Enable(m_XDrawCtrl.IsAllowCloseShape());
	
}

void CUCCSampleView::OnFoPolyInsertpoint() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoFoPolyInsertpoint();
}

void CUCCSampleView::OnUpdateFoPolyInsertpoint(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here

	pCmdUI->Enable(m_XDrawCtrl.IsAllowInsertPoint());
}

void CUCCSampleView::OnFoPolyDeletepoint() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoFoPolyDeletepoint();
}

void CUCCSampleView::OnUpdateFoPolyDeletepoint(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here

	pCmdUI->Enable(m_XDrawCtrl.IsAllowDeletePoint());
}

void CUCCSampleView::OnFoPolyMakeline() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoConvertSegmentToline();
}

void CUCCSampleView::OnUpdateFoPolyMakeline(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here

	pCmdUI->Enable(m_XDrawCtrl.IsAllowConvertSegmentToLine());
}

void CUCCSampleView::OnFoPolyMakecurve() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoConvertSegmentToCurve();
}

void CUCCSampleView::OnUpdateFoPolyMakecurve(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here

	pCmdUI->Enable(m_XDrawCtrl.IsAllowConvertSegmentToCurve());
}

void CUCCSampleView::OnFoPolyRipuppoint() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoRipUpPoint();
}

void CUCCSampleView::OnUpdateFoPolyRipuppoint(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here

	pCmdUI->Enable(m_XDrawCtrl.IsAllowRipUpPoint());
}

void CUCCSampleView::OnFoDrawSelectEllipse() 
{
	// TODO: Add your command handler code here
	m_XDrawCtrl.DoEllipseSelect();
//	m_XDrawCtrl.ChangeToolBoxBackColor(RGB(255,255,255),RGB(0,255,0));
//	m_XDrawCtrl.DoDrawImageNode(m_pIPictureDisp);

//	CPictureHolder myPicture;
//	myPicture.CreateFromBitmap(IDB_TITLE);

//	long node = m_XDrawCtrl.AddImageNode(100,100,myPicture.GetPictureDispatch( ));
//	m_XDrawCtrl.UpdateComp(node);
}

void CUCCSampleView::OnUpdateFoDrawSelectEllipse(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck(m_XDrawCtrl.IsEllipseSelectMode());
}
