Public Class Form1

    Private Sub mnuNew_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuNew.Click
        m_Draw.OnNewFile()
    End Sub



    Private Sub mnuOpen_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuOpen.Click
        m_Draw.ShowOpenFileDialog()
    End Sub

    Private Sub mnuOpenFromTemplate_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuOpenFromTemplate.Click
        m_Draw.ShowTemplateOpenDialog()
    End Sub

    Private Sub mnuSave_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuSave.Click
        m_Draw.ShowSaveFileDialog()
    End Sub

    Private Sub mnuSavetoTemplate_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuSavetoTemplate.Click
        m_Draw.ShowSaveTemplateDialog()
    End Sub

    Private Sub mnuExport_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuExport.Click
        m_Draw.Export()
    End Sub

    Private Sub mnuHeaderAndFooter_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuHeaderAndFooter.Click
        m_Draw.DoShowHeaderAndFooterDlg()
    End Sub

    Private Sub mnuPageSetup_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuPageSetup.Click
        m_Draw.DoPageSetup()
    End Sub

    Private Sub mnuPrintPreview_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuPrintPreview.Click
        m_Draw.DoVCPrintPreview()
    End Sub

    Private Sub mnuPrint_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuPrint.Click
        m_Draw.PrintDraw()
    End Sub

    Private Sub mnuExit_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuExit.Click
        Close()
    End Sub

    Private Sub mnuUndo_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuUndo.Click
        m_Draw.Undo()
    End Sub

    Private Sub mnuRedo_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuRedo.Click
        m_Draw.Redo()
    End Sub

    Private Sub mnuCut_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuCut.Click
        m_Draw.Cut()
    End Sub

    Private Sub mnuPaste_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuPaste.Click
        m_Draw.Paste()
    End Sub

    Private Sub mnuCopy_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuCopy.Click
        m_Draw.Copy()
    End Sub

    Private Sub mnuDelete_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuDelete.Click
        m_Draw.Clear()
    End Sub

    Private Sub mnuSelectAll_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuSelectAll.Click
        m_Draw.SelectAll()
    End Sub

    Private Sub mnuClearAll_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuClearAll.Click
        m_Draw.ClearAll()
    End Sub

    Private Sub mnuPageproperties_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuPageproperties.Click
        m_Draw.DoShowPagePropDlg()
    End Sub

    Private Sub mnuPanWindow_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuPanWindow.Click
        m_Draw.ShowPanWindow(False)
    End Sub

    Private Sub mnuDesignMode_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuDesignMode.Click
        Dim bdesign As Boolean
        bdesign = m_Draw.GetDesignMode()
        m_Draw.SetDesignMode(True)
        If bdesign Then
            m_Draw.SetDesignMode(False)
        End If
    End Sub

    Private Sub mnuToolboxWindow_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuToolboxWindow.Click
        Dim bVisible As Boolean
        bVisible = m_Draw.IsToolBoxVisible()

        If bVisible Then
            m_Draw.ShowToolBoxWindow(False)
        Else
            m_Draw.ShowToolBoxWindow(True)
        End If
    End Sub

    Private Sub mnuZoom50_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuZoom50.Click
        m_Draw.SetZoomPercent(50)
    End Sub

    Private Sub mnuZoom75_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuZoom75.Click
        m_Draw.SetZoomPercent(75)
    End Sub

    Private Sub mnuZoom100_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuZoom100.Click
        m_Draw.SetZoomPercent(100)
    End Sub

    Private Sub mnuZoom150_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuZoom150.Click
        m_Draw.SetZoomPercent(150)
    End Sub

    Private Sub mnuZoom200_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuZoom200.Click
        m_Draw.SetZoomPercent(200)
    End Sub

    Private Sub mnuZoomOut_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuZoomOut.Click
        m_Draw.ZoomOut()
    End Sub

    Private Sub mnuZoomIn_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuZoomIn.Click
        m_Draw.ZoomIn()
    End Sub

    Private Sub mnuFitToPage_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuFitToPage.Click
        m_Draw.ZoomToFitPage()
    End Sub

    Private Sub mnuFitToPageWidth_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuFitToPageWidth.Click
        m_Draw.ZoomToFitPageWidth()
    End Sub

    Private Sub mnuFitToPageHeight_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuFitToPageHeight.Click
        m_Draw.ZoomToFitPageHeight()
    End Sub

    Private Sub mnuZoomToSelection_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuZoomToSelection.Click
        m_Draw.ZoomToFitSelect()
    End Sub

    Private Sub mnuZoomToRectangle_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuZoomToRectangle.Click
        m_Draw.DoZoomWithinRect()
    End Sub

    Private Sub gridToolStripMenuItem_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles gridToolStripMenuItem.Click
        Dim bgrid As Boolean
        bgrid = m_Draw.GetShowGrid()
        If bgrid Then
            m_Draw.SetShowGrid(False)
        Else
            m_Draw.SetShowGrid(True)
        End If
    End Sub

    Private Sub gridSetupToolStripMenuItem_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles gridSetupToolStripMenuItem.Click
        m_Draw.OnGridProp()
    End Sub

    Private Sub shapeListToolStripMenuItem_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles shapeListToolStripMenuItem.Click
        m_Draw.DoShowCompsSelectDlg()
    End Sub

    Private Sub mnuEditSport_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuEditSport.Click
        m_Draw.DoEditSpot()
    End Sub

    Private Sub mnuGroup_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuGroup.Click
        m_Draw.Group()
    End Sub

    Private Sub mnuUngroup_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuUngroup.Click
        m_Draw.UnGroup()
    End Sub

    Private Sub mnuMakeSubgraph_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuMakeSubgraph.Click
        m_Draw.DoMakeSubgraph()
    End Sub

    Private Sub mnuUnMakeSubgraph_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuUnMakeSubgraph.Click
        m_Draw.UnGroupSubgraph()
    End Sub

    Private Sub mnuFreeRotate_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuFreeRotate.Click
        m_Draw.DoRotate()
    End Sub

    Private Sub mnuRotateLeft_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuRotateLeft.Click
        m_Draw.DoRotateLeft()
    End Sub

    Private Sub mnuRotate_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuRotate.Click
        m_Draw.DoRotateRight()
    End Sub

    Private Sub mnuFlipHorizontal_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuFlipHorizontal.Click
        m_Draw.DoFlipHorz()
    End Sub

    Private Sub mnuFilpVertical_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuFilpVertical.Click
        m_Draw.DoFlipVert()
    End Sub

    Private Sub mnuBringToFront_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuBringToFront.Click
        m_Draw.DoMoveFront()
    End Sub

    Private Sub mnuSendToBackground_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuSendToBackground.Click
        m_Draw.DoMoveBack()
    End Sub

    Private Sub mnuBringForward_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuBringForward.Click
        m_Draw.DoMoveForward()
    End Sub

    Private Sub mnuSendBackward_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuSendBackward.Click
        m_Draw.DoMoveBackward()
    End Sub

    Private Sub mnuAlignLeft_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuAlignLeft.Click
        m_Draw.DoAlignLeft()
    End Sub

    Private Sub mnuAlignCenter_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuAlignCenter.Click
        m_Draw.DoAlignCenter()
    End Sub

    Private Sub mnuAlignRight_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuAlignRight.Click
        m_Draw.DoAlignRight()
    End Sub

    Private Sub mnuAlignTop_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuAlignTop.Click
        m_Draw.DoAlignTop()
    End Sub

    Private Sub mnuAlignMiddle_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuAlignMiddle.Click
        m_Draw.DoAlignVcenter()
    End Sub

    Private Sub mnuAlignBottom_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuAlignBottom.Click
        m_Draw.DoAlignBottom()
    End Sub

    Private Sub widthToolStripMenuItem_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles widthToolStripMenuItem.Click
        m_Draw.DoSizeWidth()
    End Sub

    Private Sub mnuHeight_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuHeight.Click
        m_Draw.DoSizeHeight()
    End Sub

    Private Sub mnuBoth_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuBoth.Click
        m_Draw.DoSizeAll()
    End Sub

    Private Sub mnuCenterInFormHorizontal_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuCenterInFormHorizontal.Click
        m_Draw.DoAlignInviewHor()
    End Sub

    Private Sub mnuCenterInFormVertical_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuCenterInFormVertical.Click
        m_Draw.DoAlignInviewVer()
    End Sub

    Private Sub mnuSpaceAcross_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuSpaceAcross.Click
        m_Draw.DoSpaceAcross()
    End Sub

    Private Sub mnuSpaceDown_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuSpaceDown.Click
        m_Draw.DoSpaceDown()
    End Sub

    Private Sub mnuNudgeLeft_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuNudgeLeft.Click
        m_Draw.DoCmdNudgeleft()
    End Sub

    Private Sub mnuNudgeRight_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuNudgeRight.Click
        m_Draw.DoCmdNudgeright()
    End Sub

    Private Sub mnuNudgeTop_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuNudgeTop.Click
        m_Draw.DoCmdNudgetop()
    End Sub

    Private Sub mnuNudgeBottom_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuNudgeBottom.Click
        m_Draw.DoCmdNudgebottom()
    End Sub

    Private Sub mnuTabOrder_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuTabOrder.Click
        m_Draw.DoTabOrder()
    End Sub

    Private Sub mnuTextTool_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuTextTool.Click
        m_Draw.DoShowTextDlg()
    End Sub

    Private Sub mnuBulletsTool_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuBulletsTool.Click
        m_Draw.DoShowBulletsDlg()
    End Sub

    Private Sub mnuLineTool_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuLineTool.Click
        m_Draw.DoShowLineDlg()
    End Sub

    Private Sub mnuProtect_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuProtect.Click
        m_Draw.DoShowProtDlg()
    End Sub

    Private Sub mnuFillTool_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuFillTool.Click
        m_Draw.DoShowFillDlg()
    End Sub

    Private Sub mnuShadowTool_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuShadowTool.Click
        m_Draw.DoShowShadowDlg()
    End Sub

    Private Sub mnuEventTool_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuEventTool.Click
        m_Draw.DoShowEventDlg()
    End Sub

    Private Sub mnuKeysTool_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuKeysTool.Click
        m_Draw.DoShowKeyDlg()
    End Sub

    Private Sub mnuSizeAndPosition_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuSizeAndPosition.Click
        m_Draw.DoShowPosAndSizeDlg()
    End Sub

    Private Sub mnuCustomTool_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuCustomTool.Click
        m_Draw.DoShowCustomDlg()
    End Sub

    Private Sub mnuColorTheme_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuColorTheme.Click
        m_Draw.ShowColorThemeDlg()
    End Sub

    Private Sub mnuAboutUCCDrawControl_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuAboutUCCDrawControl.Click
        m_Draw.AboutBox()
    End Sub

    Private Sub mnuDrawPath_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuDrawPath.Click
        m_Draw.AddSimplePathShape(50, 50, 200, 200, 412)
    End Sub

    Private Sub mnuAddEditBox_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuAddEditBox.Click
        m_Draw.AddShapeByType(3, 20, 30, 200, 150, "")
    End Sub

    Private Sub mnuAddPolyline_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuAddPolyline.Click
        m_Draw.MPreparePtAry()
        m_Draw.MAddPtToAry(20, 40)
        m_Draw.MAddPtToAry(120, 80)
        m_Draw.MAddPtToAry(220, 40)
        m_Draw.MAddPtToAry(120, 140)
        m_Draw.AddPolylineShape("My polyline")
    End Sub

    Private Sub mnuAddRect_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuAddRect.Click
        Dim shape As Long
        shape = m_Draw.AddRectShape(20, 20, 120, 120, "my rect")
        m_Draw.AddDefaultPort(shape, 1.0, 0.25)
        m_Draw.AddDefaultPort(shape, 1.0, 0.75)
    End Sub

    Private Sub mnuCreateLink_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuCreateLink.Click
        Dim node1 As Long
        Dim port1 As Long
        Dim port2 As Long
        Dim node2 As Long
        Dim port3 As Long
        Dim port4 As Long
        Dim link1 As Long
        Dim link2 As Long
        node1 = m_Draw.AddRectShape(20, 120, 120, 200, "Create rectangle")
        port1 = m_Draw.AddDefaultPort(node1, 1.0, 0.25)
        port2 = m_Draw.AddDefaultPort(node1, 1.0, 0.75)

        node2 = m_Draw.AddEllipseShape(220, 320, 320, 400, "Create ellipse")
        port3 = m_Draw.AddDefaultPort(node2, 0.5, 0.0)
        port4 = m_Draw.AddDefaultPort(node2, 0.5, 1.0)
        link1 = m_Draw.ConnectWithTwoPorts(port1, port3)
        link2 = m_Draw.ConnectWithTwoPorts(port2, port4)

        m_Draw.ChangeSingleShapeColorProp(link1, RGB(255, 0, 0), 1024)
        m_Draw.ChangeSingleShapeStringProp(link1, "Test link", 1001)

        m_Draw.ChangeSingleShapeIntProp(link2, 3, 1023)
        m_Draw.ChangeSingleShapeIntProp(link2, 4, 1401)

    End Sub

    Private Sub m_Draw_DoLButtonDblClk(ByVal sender As Object, ByVal e As AxUCCDIAGRAMLib._DUCCDiagramEvents_DoLButtonDblClkEvent) Handles m_Draw.DoLButtonDblClk

    End Sub

    Private Sub menuStrip1_ItemClicked(ByVal sender As System.Object, ByVal e As System.Windows.Forms.ToolStripItemClickedEventArgs) Handles menuStrip.ItemClicked

    End Sub

    
End Class
