// UCCPolygonDlg.cpp : implementation file
//

#include "stdafx.h"
#include "UCCPolygon.h"
#include "UCCPolygonDlg.h"
#include "xdpage.h"

// Dispatch interfaces referenced by this interface
#include "xdshapes.h"
#include "xdselection.h"
#include "xdshape.h"
#include "xdgroupshape.h"
#include "xdlinkshape.h"
#include "XDPortShape.h"
#include "xdportsshape.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CUCCPolygonDlg dialog

CUCCPolygonDlg::CUCCPolygonDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CUCCPolygonDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CUCCPolygonDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
	bCurRect = TRUE;
}

void CUCCPolygonDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CUCCPolygonDlg)
	DDX_Control(pDX, IDC_UCCDRAWCTRL1, m_Draw);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CUCCPolygonDlg, CDialog)
	//{{AFX_MSG_MAP(CUCCPolygonDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_BUTTON_DRAWLINE, OnButtonDrawline)
	ON_BN_CLICKED(IDC_BUTTON_DRAWPOLYGON, OnButtonDrawpolygon)
	ON_BN_CLICKED(IDC_BUTTON_DRAWPOLYLINE, OnButtonDrawpolyline)
	ON_BN_CLICKED(IDC_BUTTON_DRAWRECT, OnButtonDrawrect)
	ON_BN_CLICKED(IDC_BUTTON_DRAWELLIPSE, OnButtonDrawellipse)
	ON_BN_CLICKED(IDC_BUTTON_DELETE, OnButtonDelete)
	ON_BN_CLICKED(IDC_BUTTON_CLEARALL, OnButtonClearall)
	ON_BN_CLICKED(IDC_BUTTON_ZOOMOUT, OnButtonZoomout)
	ON_BN_CLICKED(IDC_BUTTON_ZOOMIN, OnButtonZoomin)
	ON_BN_CLICKED(IDC_BUTTON_UNDO, OnButtonUndo)
	ON_BN_CLICKED(IDC_BUTTON_REDO, OnButtonRedo)
	ON_BN_CLICKED(IDC_BUTTON_PRINT, OnButtonPrint)
	ON_BN_CLICKED(IDC_BUTTON_DRAWFIVESTAR, OnButtonDrawfivestar)
	ON_BN_CLICKED(IDC_BUTTON_FLOBOT, OnButtonFlobot)
	ON_BN_CLICKED(IDC_BUTTON_SELECTALL, OnButtonSelectall)
	ON_BN_CLICKED(IDC_ADV_CREATERECT, OnAdvCreaterect)
	ON_BN_CLICKED(IDC_ADV_CREATEELLIPSE, OnAdvCreateellipse)
	ON_BN_CLICKED(IDC_ADV_DRAWLINK, OnAdvDrawlink)
	ON_BN_CLICKED(IDC_ADV_CREATELINK, OnAdvCreatelink)
	ON_BN_CLICKED(IDC_ADV_MOVING, OnAdvMoving)
	ON_BN_CLICKED(IDC_ADV_RESIZE_2X, OnAdvResize2x)
	ON_BN_CLICKED(IDC_ADV_RESIZE12X, OnAdvResize12x)
	ON_BN_CLICKED(IDC_ADV_HEXAGON, OnAdvHexagon)
	ON_BN_CLICKED(IDC_ADV_BUTTON, OnAdvButton)
	ON_BN_CLICKED(IDC_ADV_EXPORTEMF, OnAdvExportemf)
	ON_BN_CLICKED(IDC_ADV_PAGEBACKCOLOR, OnAdvPagebackcolor)
	ON_BN_CLICKED(IDC_BUTTON1, OnButton1)
	ON_BN_CLICKED(IDC_BUTTON2, OnButton2)
	ON_BN_CLICKED(IDC_BUTTON_RICHTEXT, OnButtonRichtext)
	ON_BN_CLICKED(IDC_BUTTON3, OnButton3)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CUCCPolygonDlg message handlers

BOOL CUCCPolygonDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here

	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CUCCPolygonDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CUCCPolygonDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CUCCPolygonDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CUCCPolygonDlg::OnButtonDrawline() 
{
	// TODO: Add your control notification handler code here


	m_Draw.DoDrawArrowLine();
}

void CUCCPolygonDlg::OnButtonDrawpolygon() 
{
	// TODO: Add your control notification handler code here
	m_Draw.DoDrawPolygon();
}

void CUCCPolygonDlg::OnButtonDrawpolyline() 
{
	// TODO: Add your control notification handler code here
	m_Draw.DoDrawPolyLine();
}

void CUCCPolygonDlg::OnButtonDrawrect() 
{
	// TODO: Add your control notification handler code here
	m_Draw.DoDrawRectangle();
}

void CUCCPolygonDlg::OnButtonDrawellipse() 
{
	// TODO: Add your control notification handler code here
	m_Draw.DoDrawEllipse();
}

void CUCCPolygonDlg::OnButtonDelete() 
{
	// TODO: Add your control notification handler code here
	m_Draw.Clear();
}

void CUCCPolygonDlg::OnButtonClearall() 
{
	// TODO: Add your control notification handler code here
	m_Draw.ClearAll();
}

void CUCCPolygonDlg::OnButtonZoomout() 
{
	// TODO: Add your control notification handler code here
	m_Draw.ZoomOut();
}

void CUCCPolygonDlg::OnButtonZoomin() 
{
	// TODO: Add your control notification handler code here
	m_Draw.ZoomIn();
}

void CUCCPolygonDlg::OnButtonUndo() 
{
	// TODO: Add your control notification handler code here
	m_Draw.Undo();
}

void CUCCPolygonDlg::OnButtonRedo() 
{
	// TODO: Add your control notification handler code here
	m_Draw.Redo();
}

void CUCCPolygonDlg::OnButtonPrint() 
{
	// TODO: Add your control notification handler code here
	m_Draw.PrintDraw();
}

void CUCCPolygonDlg::OnButtonDrawfivestar() 
{
	// TODO: Add your control notification handler code here
	m_Draw.DrawCustomRect(69);
}

void CUCCPolygonDlg::OnButtonFlobot() 
{
	// TODO: Add your control notification handler code here
	CString strPathX = AfxGetApp()->m_pszHelpFilePath;
	strPathX = strPathX.Left(strPathX.ReverseFind('\\'));
	CString strOtherFile;
	strOtherFile = strPathX+_T("\\flobot.sid");
	m_Draw.DoDrawCustomShapeFile(strOtherFile);
}

void CUCCPolygonDlg::OnButtonSelectall() 
{
	// TODO: Add your control notification handler code here
	m_Draw.SelectAll();
}

void CUCCPolygonDlg::OnAdvCreaterect() 
{
	// TODO: Add your control notification handler code here
	long node1 = m_Draw.AddRectShape(20,20,120,100,_T("Create Rectangle"));
	m_Draw.AddDefaultPort(node1,1.0,0.25);
	m_Draw.AddDefaultPort(node1,1.0,0.75);
}

void CUCCPolygonDlg::OnAdvCreateellipse() 
{
	// TODO: Add your control notification handler code here
	long node1 = m_Draw.AddEllipseShape(220,220,320,300,_T("Create Ellipse"));
	m_Draw.AddDefaultPort(node1,0.5,0.0);
	m_Draw.AddDefaultPort(node1,0.5,1.0);
}

void CUCCPolygonDlg::OnAdvDrawlink() 
{
	// TODO: Add your control notification handler code here
	m_Draw.DoDrawLinkNormal();
}

void CUCCPolygonDlg::OnAdvCreatelink() 
{
	// TODO: Add your control notification handler code here
	CXDPortShape port1, port2, port3, port4;
	{
		CXDShape node1 = m_Draw.GetActivePage().DoCreateShapeByType(30, 20,120,120,200,_T("Create Rectangle"));
		CXDPortsShape pComp = node1.ConvertToPortsShape();
		port1 = pComp.CreateDefaultPort(1.0,0.25);
		port2 = pComp.CreateDefaultPort(1.0,0.75);
		m_Draw.GetActivePage().AddShape(node1.GetObjType());
		node1.UpdateControl();
	}
	
	{
		CXDShape node1 = m_Draw.GetActivePage().DoCreateShapeByType(23, 220,320,320,400,_T("Create Rectangle"));
		CXDPortsShape pComp = node1.ConvertToPortsShape();
		port3 = pComp.CreateDefaultPort(0.5,0.0);
		port4 = pComp.CreateDefaultPort(0.5,1.0);
		m_Draw.GetActivePage().AddShape(node1.GetObjType());
		node1.UpdateControl();
	}
	
	CXDLinkShape link1 = m_Draw.GetActivePage().CreateLink(231,port1.GetObjType(),port3.GetObjType());
	link1.SetLineColor(RGB(255,0,0));
	link1.SetLineWidth(3);
	
	link1.UpdateControl();
}

void CUCCPolygonDlg::OnAdvMoving() 
{
	// TODO: Add your control notification handler code here
	int nCount = m_Draw.GetTotalSelect();
	if(nCount <= 0)
	{
		MessageBox(_T("Please select at least one shape for testing!"));
		return;
	}

	for(int x = 0; x < nCount; x++)
	{
		long node1 = m_Draw.GetSelection(x);
		m_Draw.MoveShape(node1,10,10);
	}

	m_Draw.UpdateSelection();
}

void CUCCPolygonDlg::OnAdvResize2x() 
{
	// TODO: Add your control notification handler code here
	int nCount = m_Draw.GetTotalSelect();
	if(nCount <= 0)
	{
		MessageBox(_T("Please select at least one shape for testing!"));
		return;
	}

	int x = 0;

	for(x = 0; x < nCount; x++)
	{
		long node1 = m_Draw.GetSelection(x);
		long x = m_Draw.GetBoundXPos(node1);
		long y = m_Draw.GetBoundYPos(node1);
		m_Draw.ResizeShape(node1,2.0,2.0,(double)x,(double)y);
	}

	m_Draw.UpdateSelection();
}

void CUCCPolygonDlg::OnAdvResize12x() 
{
	// TODO: Add your control notification handler code here
	int nCount = m_Draw.GetTotalSelect();
	if(nCount <= 0)
	{
		MessageBox(_T("Please select at least one shape for testing!"));
		return;
	}

	int index = 0;
	for(index = 0; index < nCount; index++)
	{
		long node1 = m_Draw.GetSelection(index);
		long x = m_Draw.GetBoundXPos(node1);
		long y = m_Draw.GetBoundYPos(node1);
		m_Draw.ResizeShape(node1,0.50,0.50,(double)x,(double)y);
	}

	m_Draw.UpdateSelection();
}

void CUCCPolygonDlg::OnAdvHexagon() 
{
	// TODO: Add your control notification handler code here
	m_Draw.AddShapeByType(8,100,100,200,123,_T(""));
}

void CUCCPolygonDlg::OnAdvButton() 
{
	// TODO: Add your control notification handler code here
	m_Draw.AddShapeByType(5,140,140,240,163,_T(""));
}

void CUCCPolygonDlg::OnAdvExportemf() 
{
	// TODO: Add your control notification handler code here
	m_Draw.ExportAsEMFFile(_T("c:\\temp\\xdmetafile.emf"));

	MessageBox(_T("Save to c:\\temp\\xdmetafile.emf"));
}

BEGIN_EVENTSINK_MAP(CUCCPolygonDlg, CDialog)
    //{{AFX_EVENTSINK_MAP(CUCCPolygonDlg)
	ON_EVENT(CUCCPolygonDlg, IDC_UCCDRAWCTRL1, 82 /* OnContextClickShape */, OnOnContextClickShapeUccdrawctrl1, VTS_I4 VTS_I4 VTS_I4)
	ON_EVENT(CUCCPolygonDlg, IDC_UCCDRAWCTRL1, 81 /* OnContextClickLink */, OnOnContextClickLinkUccdrawctrl1, VTS_I4 VTS_I4 VTS_I4)
	ON_EVENT(CUCCPolygonDlg, IDC_UCCDRAWCTRL1, 80 /* OnContextClickBackground */, OnOnContextClickBackgroundUccdrawctrl1, VTS_I4 VTS_I4)
	ON_EVENT(CUCCPolygonDlg, IDC_UCCDRAWCTRL1, 84 /* DoubleClickOnShape */, OnDoubleClickOnShapeUccdrawctrl1, VTS_I4 VTS_I4 VTS_I4)
	ON_EVENT(CUCCPolygonDlg, IDC_UCCDRAWCTRL1, 70 /* DoLButtonDown */, OnDoLButtonDownUccdrawctrl1, VTS_I4 VTS_I4 VTS_I4)
	ON_EVENT(CUCCPolygonDlg, IDC_UCCDRAWCTRL1, 72 /* DoLButtonDblClk */, OnDoLButtonDblClkUccdrawctrl1, VTS_I4 VTS_I4 VTS_I4)
	ON_EVENT(CUCCPolygonDlg, IDC_UCCDRAWCTRL1, 3 /* DoInitCreateShape */, OnDoInitCreateShapeUccdrawctrl1, VTS_I4)
	//}}AFX_EVENTSINK_MAP
END_EVENTSINK_MAP()

void CUCCPolygonDlg::OnOnContextClickShapeUccdrawctrl1(long shape, long x, long y) 
{
	// TODO: Add your control notification handler code here
	
	if(m_Draw.IsShapeLinked(shape))
	{
		int nCount = m_Draw.GetPortsShapePortCount(shape);
		if(nCount > 0)
		{
			for(int x = 0; x < nCount; x++)
			{
				long portshape = m_Draw.GetPortsShapePortShapeAt(shape,x);
				int nTotal = m_Draw.GetPortLinkCount(portshape);
				if(nTotal > 0)
				{
					for(int y = 0; y < nTotal; y++)
					{
						long linkshape = m_Draw.GetPortLinkShapeAt(portshape,y);
						long fromshape = m_Draw.GetLinkFromShape(linkshape);
						long toshape = m_Draw.GetLinkToShape(linkshape);

						CString strMsg;
						CString strFrom;
						CString strTo;
						if(fromshape != 0)
						{
							strFrom = m_Draw.GetShapeStringProp(fromshape, 1001);
							
						}

						if(toshape != 0)
						{
							strTo = m_Draw.GetShapeStringProp(toshape, 1001);
						}

						if(!strFrom.IsEmpty() && !strTo.IsEmpty())
						{
							strMsg.Format("Link line: from %s, to %s", strFrom, strTo);
							MessageBox(strMsg);
						}
					}
				}
			}
		}
	}
}

void CUCCPolygonDlg::OnOnContextClickLinkUccdrawctrl1(long link, long x, long y) 
{
	// TODO: Add your control notification handler code here
	CPoint newpoint(x, y);
    ClientToScreen(&newpoint);
    CMenu popup;
    popup.CreatePopupMenu();
    popup.AppendMenu(MF_STRING, 2898, _T("Set Node Properties..."));
    popup.TrackPopupMenu(TPM_LEFTALIGN, newpoint.x, newpoint.y, this);
	
}

void CUCCPolygonDlg::OnOnContextClickBackgroundUccdrawctrl1(long x, long y) 
{
	// TODO: Add your control notification handler code here
	int xxx = 0;
}

void CUCCPolygonDlg::OnAdvPagebackcolor() 
{
	// TODO: Add your control notification handler code here
	CColorDialog colordlg;
	if(colordlg.DoModal() == IDOK)
	{
		COLORREF crColor = colordlg.GetColor();
		m_Draw.SetBkColor(crColor);
		m_Draw.UpdateCanvas();
	}
}

void CUCCPolygonDlg::OnDoubleClickOnShapeUccdrawctrl1(long shape, long x, long y) 
{
	// TODO: Add your control notification handler code here
//	MessageBox("Hited");

/*	int nTotal = m_Draw.GetCompositeShapeChildCount(long shapecomposite);
	if(nTotal <= 0)
	{
		MessageBox("Cann't find the shape");
		return;
	}

	for(int x = 0; x < nTotal; x++)
	{
		long node = m_Draw.GetCompositeShapeAt(long compositeshape, x);

		if(node != 0)
		{
			// Please see sample UCCSample,and you can find uccdrawglobals.h file within UCCSample sub file foler
			// For example 1005 is P_ID_NAME, it is the name of the shape.
			CString strName = m_Draw.GetShapeStringProp(node,1005);
			if(strName == mystrName)
			{
				return node;
			}
		}
	}

	.....*/
}

void CUCCPolygonDlg::OnDoLButtonDownUccdrawctrl1(long nFlags, long xPoint, long yPoint) 
{
	// TODO: Add your control notification handler code here
	long node = m_Draw.HitTest(xPoint,yPoint);
	if(node != 0)
	{
//		MessageBox("Hited!");
	}
}

void CUCCPolygonDlg::OnButton1() 
{
	// TODO: Add your control notification handler code here
	long node1 = m_Draw.AddTextShape(220,220,320,300,_T("Create Text"));
	CString strText = m_Draw.GetShapeStringProp(node1,1001); // 1001 is the caption ID of property value.
	MessageBox(strText);
}

void CUCCPolygonDlg::OnButton2() 
{
	// TODO: Add your control notification handler code here
	long node1 = m_Draw.AddTextShape(220,220,320,300,_T("Create Text"));
	m_Draw.ChangeSingleShapeStringProp(node1,"This is the new text",1001); // 1001 is the caption ID of property value.
	CString strText = m_Draw.GetShapeStringProp(node1,1001); // 1001 is the caption ID of property value.
	MessageBox(strText);
}

COLORREF CUCCPolygonDlg::GetRandomColor()
{
	return RGB(rand() % 255,rand() % 255,rand() % 255);
}

void CUCCPolygonDlg::OnDoLButtonDblClkUccdrawctrl1(long nFlags, long xPoint, long yPoint) 
{
	// TODO: Add your control notification handler code here
	long node = m_Draw.HitTest(xPoint,yPoint);
	if(node == 0)
	{
		xPoint = m_Draw.FODPtoLPX(xPoint);
		yPoint = m_Draw.FODPtoLPY(yPoint);

		CPoint pt = CPoint(xPoint,yPoint);
		if(bCurRect)
		{
			long node = m_Draw.AddRectShape(pt.x - 30,pt.y - 25,pt.x + 30,pt.y + 25,"Rect");
			long port = m_Draw.AddDefaultPort(node,0.5,0.5);
			m_Draw.ChangeSingleShapeIntProp(port,1,1062);
			m_Draw.ChangeSingleShapeIntProp(port,20,1060);
			m_Draw.ChangeSingleShapeIntProp(port,20,1061);
			m_Draw.ChangeSingleShapeColorProp(node,GetRandomColor(),1041);
			m_Draw.ChangeSingleShapeBoolProp(node,TRUE,1015);
			m_Draw.ChangeSingleShapeBoolProp(node,TRUE,1018);

		}
		else
		{
			long node = m_Draw.AddEllipseShape(pt.x - 30,pt.y - 25,pt.x + 30,pt.y + 25,"ellipse");
			long port = m_Draw.AddDefaultPort(node,0.5,0.5);
			m_Draw.ChangeSingleShapeIntProp(port,1,1062);
			m_Draw.ChangeSingleShapeIntProp(port,20,1060);
			m_Draw.ChangeSingleShapeIntProp(port,20,1061);
			m_Draw.ChangeSingleShapeColorProp(node,GetRandomColor(),1041);
			m_Draw.ChangeSingleShapeBoolProp(node,TRUE,1015);
			m_Draw.ChangeSingleShapeBoolProp(node,TRUE,1018);

		}
		
		bCurRect = !bCurRect;
	}
}

void CUCCPolygonDlg::OnDoInitCreateShapeUccdrawctrl1(long shape) 
{
	// TODO: Add your control notification handler code here
	CString str = m_Draw.GetShapeStringProp(shape, 1001);

//	m_Draw.ChangeSingleShapeStringProp(shape,_T("Test!"),1001);
	if(m_Draw.IsLinkShape(shape))
	{
		m_Draw.ChangeSingleShapeIntProp(shape,3,1053);
	}
}

long nodeTest = 0;

void CUCCPolygonDlg::OnButtonRichtext() 
{
	// TODO: Add your control notification handler code here
//	long node1 = m_Draw.AddShapeByType(211,220,220,320,300,_T("Create Text"));
//	long i=m_Draw.AddBmpFileShape(100,100,124,124,"MSC.BMP","");
//	long j=m_Draw.AddDefaultPort(i,0.5,0.5);
	
//	i=m_Draw.AddBmpFileShape(200,200,224,224,"MSC.BMP","");
//	long k=m_Draw.AddDefaultPort(i,0.5,0.5);
	
//	m_Draw.ConnectWithTwoPorts(j,k);
//	m_Draw.ConnectWithTwoPorts(k,j);
//	hMem = m_Draw.SaveMemory();
	


//	CString strText = m_Draw.GetShapeStringProp(node1,1001); // 1001 is the caption ID of property value.
//	MessageBox(strText);

//	for(int x = 0; x < 10; x++)
//	m_Draw.AddBmpFileShape(10, 10, 200, 200, "C:\\Temp\\MSC.BMP", "deneme"); 
//	m_Draw.SetPagePosition(0,0,687,207);

//	long node = m_Draw.AddRectShape(10, 10, 200, 200,"Rect");

//	m_Draw.AddStringUserProperty(node, 20000, _T("UCanCode Software"));
//	CString strMsg = m_Draw.GetShapeStringProp(node, 20000);
//	MessageBox(strMsg);
//	m_Draw.DoVCPrintPreview();

//	m_Draw.PrintDraw();

	CString str = m_Draw.GetRunTimeInputText();
	MessageBox(str);
}

void CUCCPolygonDlg::OnButton3() 
{
	// TODO: Add your control notification handler code here
//	m_Draw.LoadMemory(hMem);
//	m_Draw.AddBoxShape(50,50, 400, 300, "Test");
//	m_Draw.AddShapeByType(239, 50,50, 400, 300, "");
	m_Draw.SetDesignMode(FALSE);
	nodeTest = m_Draw.AddShapeByType(43,220,220,420,400,_T("Create Text"));
//	m_Draw.AddTabShapeEmptyPage(node1, "TT");
	
//	m_Draw.UpdateCanvas();
//	long shape = m_Draw.LoadNewTrsFile("c:\\eat\\ttt.trs");
//	m_Draw.AddShapeByTrs(150, 150, 100, 100, "uu");
//	m_Draw.UpdateCanvas();
}
