// GaugeDlg.h : header file
//
//{{AFX_INCLUDES()
#include "uccdiagram.h"
//}}AFX_INCLUDES

#if !defined(AFX_GAUGEDLG_H__FE84FC69_D73F_45F1_8DB3_D1E83F36E972__INCLUDED_)
#define AFX_GAUGEDLG_H__FE84FC69_D73F_45F1_8DB3_D1E83F36E972__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CGaugeDlg dialog

 
//===========================================================================
// Summary:
//     The CGaugeDlg class derived from CDialog
//      Gauge Dialog
//===========================================================================

class CGaugeDlg : public CDialog
{
// Construction
public:
	
	//-----------------------------------------------------------------------
	// Summary:
	// Gauge Dialog, Constructs a CGaugeDlg object.
	//		Returns A  value.  
	// Parameters:
	//		pParent---pParent, A pointer to the CWnd or NULL if the call failed.
	CGaugeDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CGaugeDlg)
	enum { IDD = IDD_GAUGE_DIALOG };
 
	// m_Draw, This member specify CUCCDiagram object.  
	CUCCDiagram	m_Draw;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGaugeDlg)
	protected:
	
	//-----------------------------------------------------------------------
	// Summary:
	// Do Data Exchange, Do a event. 
	// This member function is also a virtual function, you can Override it if you need,  
	// Parameters:
	//		pDX---D X, A pointer to the CDataExchange or NULL if the call failed.
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
 
	// m_hIcon, This member specify HICON object.  
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CGaugeDlg)
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Initial Dialog, This member function is called by the framework to allow your application to handle a Windows message.
	// This member function is also a virtual function, you can Override it if you need,  
	//		Returns TRUE on success; FALSE otherwise.
	virtual BOOL OnInitDialog();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On System Command, This member function is called by the framework to allow your application to handle a Windows message.
	// Parameters:
	//		nID---I D, Specifies A 16-bit unsigned integer on Windows versions 3.0 and 3.1; a 32-bit unsigned integer on Win32.  
	//		lParam---lParam, Specifies A lparam value.
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Paint, Called to repaint a portion of the window.

	afx_msg void OnPaint();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Query Drag Icon, This member function is called by the framework to allow your application to handle a Windows message.
	//		Returns A afx_msg HCURSOR value.
	afx_msg HCURSOR OnQueryDragIcon();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Button1, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnButton1();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Button2, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnButton2();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Button3, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnButton3();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Button4, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnButton4();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Button5, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnButton5();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Button6, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnButton6();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Button7, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnButton7();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Button8, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnButton8();
	//}}AFX_MSG
	
	//-----------------------------------------------------------------------
	// Summary:
	// E C L A R E_ M E S S A G E_ M A P, None Description.
	//		Returns A  value.
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_GAUGEDLG_H__FE84FC69_D73F_45F1_8DB3_D1E83F36E972__INCLUDED_)
